Package de.gebit.integrity.dsl

## Interface DslPackage

- All Superinterfaces:
    `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `DslPackageImpl`

      public interface DslPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `DslFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `DslPackage.Literals` | Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ARBITRARY_PARAMETER_OR_RESULT_NAME` | The meta object id for the '`Arbitrary Parameter Or Result Name`' class.
    `static int` | `ARBITRARY_PARAMETER_OR_RESULT_NAME__IDENTIFIER` | The feature id for the 'Identifier' attribute.
    `static int` | `ARBITRARY_PARAMETER_OR_RESULT_NAME__STRING_IDENTIFIER` | The feature id for the 'String Identifier' attribute.
    `static int` | `ARBITRARY_PARAMETER_OR_RESULT_NAME_FEATURE_COUNT` | The number of structural features of the 'Arbitrary Parameter Or Result Name' class.
    `static int` | `BOOLEAN_VALUE` | The meta object id for the '`Boolean Value`' class.
    `static int` | `BOOLEAN_VALUE__BOOLEAN_VALUE` | The feature id for the 'Boolean Value' attribute.
    `static int` | `BOOLEAN_VALUE_FEATURE_COUNT` | The number of structural features of the 'Boolean Value' class.
    `static int` | `CALL` | The meta object id for the '`Call`' class.
    `static int` | `CALL__DEFINITION` | The feature id for the 'Definition' reference.
    `static int` | `CALL__MULTIPLIER` | The feature id for the 'Multiplier' containment reference.
    `static int` | `CALL__PARAMETERS` | The feature id for the 'Parameters' containment reference list.
    `static int` | `CALL__RESULT` | The feature id for the 'Result' containment reference.
    `static int` | `CALL__RESULTS` | The feature id for the 'Results' containment reference list.
    `static int` | `CALL_DEFINITION` | The meta object id for the '`Call Definition`' class.
    `static int` | `CALL_DEFINITION__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `CALL_DEFINITION__FIXTURE_METHOD` | The feature id for the 'Fixture Method' containment reference.
    `static int` | `CALL_DEFINITION__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CALL_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Call Definition' class.
    `static int` | `CALL_FEATURE_COUNT` | The number of structural features of the 'Call' class.
    `static int` | `CONSTANT` | The meta object id for the '`Constant`' class.
    `static int` | `CONSTANT__NAME` | The feature id for the 'Name' reference.
    `static int` | `CONSTANT_DEFINITION` | The meta object id for the '`Constant Definition`' class.
    `static int` | `CONSTANT_DEFINITION__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `CONSTANT_DEFINITION__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `CONSTANT_DEFINITION__PARAMETERIZED` | The feature id for the 'Parameterized' attribute.
    `static int` | `CONSTANT_DEFINITION__PRIVATE` | The feature id for the 'Private' attribute.
    `static int` | `CONSTANT_DEFINITION__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `CONSTANT_DEFINITION__VARIANT_VALUES` | The feature id for the 'Variant Values' containment reference list.
    `static int` | `CONSTANT_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Constant Definition' class.
    `static int` | `CONSTANT_ENTITY` | The meta object id for the '`Constant Entity`' class.
    `static int` | `CONSTANT_ENTITY__NAME` | The feature id for the 'Name' attribute.
    `static int` | `CONSTANT_ENTITY_FEATURE_COUNT` | The number of structural features of the 'Constant Entity' class.
    `static int` | `CONSTANT_FEATURE_COUNT` | The number of structural features of the 'Constant' class.
    `static int` | `CONSTANT_VALUE` | The meta object id for the '`Constant Value`' class.
    `static int` | `CONSTANT_VALUE_FEATURE_COUNT` | The number of structural features of the 'Constant Value' class.
    `static int` | `CUSTOM_OPERATION` | The meta object id for the '`Custom Operation`' class.
    `static int` | `CUSTOM_OPERATION__DEFINITION` | The feature id for the 'Definition' reference.
    `static int` | `CUSTOM_OPERATION__POSTFIX_OPERAND` | The feature id for the 'Postfix Operand' containment reference.
    `static int` | `CUSTOM_OPERATION__PREFIX_OPERAND` | The feature id for the 'Prefix Operand' containment reference.
    `static int` | `CUSTOM_OPERATION_FEATURE_COUNT` | The number of structural features of the 'Custom Operation' class.
    `static int` | `DATE_AND_TIME_VALUE` | The meta object id for the '`Date And Time Value`' class.
    `static int` | `DATE_AND_TIME_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `DATE_AND_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `DATE_AND_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'Date And Time Value' class.
    `static int` | `DATE_VALUE` | The meta object id for the '`Date Value`' class.
    `static int` | `DATE_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `DATE_VALUE_FEATURE_COUNT` | The number of structural features of the 'Date Value' class.
    `static int` | `DECIMAL_VALUE` | The meta object id for the '`Decimal Value`' class.
    `static int` | `DECIMAL_VALUE__DECIMAL_VALUE` | The feature id for the 'Decimal Value' attribute.
    `static int` | `DECIMAL_VALUE_FEATURE_COUNT` | The number of structural features of the 'Decimal Value' class.
    `static int` | `DOCUMENTATION_COMMENT` | The meta object id for the '`Documentation Comment`' class.
    `static int` | `DOCUMENTATION_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `DOCUMENTATION_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Documentation Comment' class.
    `static DslPackage` | `eINSTANCE` | The singleton instance of the package.
    `static int` | `EMPTY` | The meta object id for the '`Empty`' class.
    `static int` | `EMPTY_FEATURE_COUNT` | The number of structural features of the 'Empty' class.
    `static int` | `EMPTY_VALUE` | The meta object id for the '`Empty Value`' class.
    `static int` | `EMPTY_VALUE_FEATURE_COUNT` | The number of structural features of the 'Empty Value' class.
    `static String` | `eNAME` | The package name.
    `static String` | `eNS_PREFIX` | The package namespace name.
    `static String` | `eNS_URI` | The package namespace URI.
    `static int` | `ENUM_VALUE` | The meta object id for the '`Enum Value`' class.
    `static int` | `ENUM_VALUE__ENUM_VALUE` | The feature id for the 'Enum Value' reference.
    `static int` | `ENUM_VALUE_FEATURE_COUNT` | The number of structural features of the 'Enum Value' class.
    `static int` | `EUROPEAN_DATE_AND12_HRS_TIME_VALUE` | The meta object id for the '`European Date And12 Hrs Time Value`' class.
    `static int` | `EUROPEAN_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `EUROPEAN_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `EUROPEAN_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'European Date And12 Hrs Time Value' class.
    `static int` | `EUROPEAN_DATE_AND24_HRS_TIME_VALUE` | The meta object id for the '`European Date And24 Hrs Time Value`' class.
    `static int` | `EUROPEAN_DATE_AND24_HRS_TIME_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `EUROPEAN_DATE_AND24_HRS_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `EUROPEAN_DATE_AND24_HRS_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'European Date And24 Hrs Time Value' class.
    `static int` | `EUROPEAN_DATE_VALUE` | The meta object id for the '`European Date Value`' class.
    `static int` | `EUROPEAN_DATE_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `EUROPEAN_DATE_VALUE_FEATURE_COUNT` | The number of structural features of the 'European Date Value' class.
    `static int` | `EXECUTION_MULTIPLIER` | The meta object id for the '`Execution Multiplier`' class.
    `static int` | `EXECUTION_MULTIPLIER__COUNT` | The feature id for the 'Count' containment reference.
    `static int` | `EXECUTION_MULTIPLIER_FEATURE_COUNT` | The number of structural features of the 'Execution Multiplier' class.
    `static int` | `FIXED_PARAMETER_NAME` | The meta object id for the '`Fixed Parameter Name`' class.
    `static int` | `FIXED_PARAMETER_NAME__ANNOTATION` | The feature id for the 'Annotation' reference.
    `static int` | `FIXED_PARAMETER_NAME_FEATURE_COUNT` | The number of structural features of the 'Fixed Parameter Name' class.
    `static int` | `FIXED_RESULT_NAME` | The meta object id for the '`Fixed Result Name`' class.
    `static int` | `FIXED_RESULT_NAME__FIELD` | The feature id for the 'Field' reference.
    `static int` | `FIXED_RESULT_NAME_FEATURE_COUNT` | The number of structural features of the 'Fixed Result Name' class.
    `static int` | `FORK_DEFINITION` | The meta object id for the '`Fork Definition`' class.
    `static int` | `FORK_DEFINITION__BASE_FORK` | The feature id for the 'Base Fork' reference.
    `static int` | `FORK_DEFINITION__DESCRIPTION` | The feature id for the 'Description' attribute.
    `static int` | `FORK_DEFINITION__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `FORK_DEFINITION__FORKER_CLASS` | The feature id for the 'Forker Class' containment reference.
    `static int` | `FORK_DEFINITION__NAME` | The feature id for the 'Name' attribute.
    `static int` | `FORK_DEFINITION__PARAMETERS` | The feature id for the 'Parameters' containment reference list.
    `static int` | `FORK_DEFINITION__PRIVATE` | The feature id for the 'Private' attribute.
    `static int` | `FORK_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Fork Definition' class.
    `static int` | `FORK_PARAMETER` | The meta object id for the '`Fork Parameter`' class.
    `static int` | `FORK_PARAMETER__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `FORK_PARAMETER__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `FORK_PARAMETER_FEATURE_COUNT` | The number of structural features of the 'Fork Parameter' class.
    `static int` | `IMPORT` | The meta object id for the '`Import`' class.
    `static int` | `IMPORT__IMPORTED_NAMESPACE` | The feature id for the 'Imported Namespace' attribute.
    `static int` | `IMPORT_FEATURE_COUNT` | The number of structural features of the 'Import' class.
    `static int` | `INEXISTENT` | The meta object id for the '`Inexistent`' class.
    `static int` | `INEXISTENT_FEATURE_COUNT` | The number of structural features of the 'Inexistent' class.
    `static int` | `INEXISTENT_VALUE` | The meta object id for the '`Inexistent Value`' class.
    `static int` | `INEXISTENT_VALUE_FEATURE_COUNT` | The number of structural features of the 'Inexistent Value' class.
    `static int` | `INTEGER_VALUE` | The meta object id for the '`Integer Value`' class.
    `static int` | `INTEGER_VALUE__INTEGER_VALUE` | The feature id for the 'Integer Value' attribute.
    `static int` | `INTEGER_VALUE_FEATURE_COUNT` | The number of structural features of the 'Integer Value' class.
    `static int` | `ISO_DATE_AND_TIME_VALUE` | The meta object id for the '`Iso Date And Time Value`' class.
    `static int` | `ISO_DATE_AND_TIME_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `ISO_DATE_AND_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `ISO_DATE_AND_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'Iso Date And Time Value' class.
    `static int` | `ISO_DATE_VALUE` | The meta object id for the '`Iso Date Value`' class.
    `static int` | `ISO_DATE_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `ISO_DATE_VALUE_FEATURE_COUNT` | The number of structural features of the 'Iso Date Value' class.
    `static int` | `ISO_TIME_VALUE` | The meta object id for the '`Iso Time Value`' class.
    `static int` | `ISO_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `ISO_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'Iso Time Value' class.
    `static int` | `JAVA_CLASS_REFERENCE` | The meta object id for the '`Java Class Reference`' class.
    `static int` | `JAVA_CLASS_REFERENCE__TYPE` | The feature id for the 'Type' reference.
    `static int` | `JAVA_CLASS_REFERENCE_FEATURE_COUNT` | The number of structural features of the 'Java Class Reference' class.
    `static int` | `JAVA_CONSTANT_REFERENCE` | The meta object id for the '`Java Constant Reference`' class.
    `static int` | `JAVA_CONSTANT_REFERENCE__CONSTANT` | The feature id for the 'Constant' reference.
    `static int` | `JAVA_CONSTANT_REFERENCE__TYPE` | The feature id for the 'Type' reference.
    `static int` | `JAVA_CONSTANT_REFERENCE_FEATURE_COUNT` | The number of structural features of the 'Java Constant Reference' class.
    `static int` | `JAVA_CONSTANT_VALUE` | The meta object id for the '`Java Constant Value`' class.
    `static int` | `JAVA_CONSTANT_VALUE__CONSTANT` | The feature id for the 'Constant' containment reference.
    `static int` | `JAVA_CONSTANT_VALUE_FEATURE_COUNT` | The number of structural features of the 'Java Constant Value' class.
    `static int` | `KEY_VALUE_PAIR` | The meta object id for the '`Key Value Pair`' class.
    `static int` | `KEY_VALUE_PAIR__IDENTIFIER` | The feature id for the 'Identifier' attribute.
    `static int` | `KEY_VALUE_PAIR__STRING_IDENTIFIER` | The feature id for the 'String Identifier' attribute.
    `static int` | `KEY_VALUE_PAIR__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `KEY_VALUE_PAIR_FEATURE_COUNT` | The number of structural features of the 'Key Value Pair' class.
    `static int` | `METHOD_REFERENCE` | The meta object id for the '`Method Reference`' class.
    `static int` | `METHOD_REFERENCE__METHOD` | The feature id for the 'Method' reference.
    `static int` | `METHOD_REFERENCE__TYPE` | The feature id for the 'Type' reference.
    `static int` | `METHOD_REFERENCE_FEATURE_COUNT` | The number of structural features of the 'Method Reference' class.
    `static int` | `MODEL` | The meta object id for the '`Model`' class.
    `static int` | `MODEL__IMPORTS` | The feature id for the 'Imports' containment reference list.
    `static int` | `MODEL__STATEMENTS` | The feature id for the 'Statements' containment reference list.
    `static int` | `MODEL_FEATURE_COUNT` | The number of structural features of the 'Model' class.
    `static int` | `NAMED_CALL_RESULT` | The meta object id for the '`Named Call Result`' class.
    `static int` | `NAMED_CALL_RESULT__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `NAMED_CALL_RESULT__TARGET` | The feature id for the 'Target' containment reference.
    `static int` | `NAMED_CALL_RESULT_FEATURE_COUNT` | The number of structural features of the 'Named Call Result' class.
    `static int` | `NAMED_RESULT` | The meta object id for the '`Named Result`' class.
    `static int` | `NAMED_RESULT__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `NAMED_RESULT__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `NAMED_RESULT_FEATURE_COUNT` | The number of structural features of the 'Named Result' class.
    `static int` | `NESTED_OBJECT` | The meta object id for the '`Nested Object`' class.
    `static int` | `NESTED_OBJECT__ATTRIBUTES` | The feature id for the 'Attributes' containment reference list.
    `static int` | `NESTED_OBJECT_FEATURE_COUNT` | The number of structural features of the 'Nested Object' class.
    `static int` | `NULL` | The meta object id for the '`Null`' class.
    `static int` | `NULL_FEATURE_COUNT` | The number of structural features of the 'Null' class.
    `static int` | `NULL_VALUE` | The meta object id for the '`Null Value`' class.
    `static int` | `NULL_VALUE_FEATURE_COUNT` | The number of structural features of the 'Null Value' class.
    `static int` | `OPERATION` | The meta object id for the '`Operation`' class.
    `static int` | `OPERATION_DEFINITION` | The meta object id for the '`Operation Definition`' class.
    `static int` | `OPERATION_DEFINITION__NAME` | The feature id for the 'Name' attribute.
    `static int` | `OPERATION_DEFINITION__OPERATION_TYPE` | The feature id for the 'Operation Type' containment reference.
    `static int` | `OPERATION_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Operation Definition' class.
    `static int` | `OPERATION_FEATURE_COUNT` | The number of structural features of the 'Operation' class.
    `static int` | `PACKAGE_DEFINITION` | The meta object id for the '`Package Definition`' class.
    `static int` | `PACKAGE_DEFINITION__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `PACKAGE_DEFINITION__NAME` | The feature id for the 'Name' attribute.
    `static int` | `PACKAGE_DEFINITION__STATEMENTS` | The feature id for the 'Statements' containment reference list.
    `static int` | `PACKAGE_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Package Definition' class.
    `static int` | `PACKAGE_STATEMENT` | The meta object id for the '`Package Statement`' class.
    `static int` | `PACKAGE_STATEMENT_FEATURE_COUNT` | The number of structural features of the 'Package Statement' class.
    `static int` | `PARAMETER` | The meta object id for the '`Parameter`' class.
    `static int` | `PARAMETER__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `PARAMETER__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `PARAMETER_FEATURE_COUNT` | The number of structural features of the 'Parameter' class.
    `static int` | `PARAMETER_NAME` | The meta object id for the '`Parameter Name`' class.
    `static int` | `PARAMETER_NAME_FEATURE_COUNT` | The number of structural features of the 'Parameter Name' class.
    `static int` | `PARAMETER_TABLE_HEADER` | The meta object id for the '`Parameter Table Header`' class.
    `static int` | `PARAMETER_TABLE_HEADER__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `PARAMETER_TABLE_HEADER_FEATURE_COUNT` | The number of structural features of the 'Parameter Table Header' class.
    `static int` | `PARAMETER_TABLE_VALUE` | The meta object id for the '`Parameter Table Value`' class.
    `static int` | `PARAMETER_TABLE_VALUE__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `PARAMETER_TABLE_VALUE_FEATURE_COUNT` | The number of structural features of the 'Parameter Table Value' class.
    `static int` | `REGEX_VALUE` | The meta object id for the '`Regex Value`' class.
    `static int` | `REGEX_VALUE__REGEX_VALUE` | The feature id for the 'Regex Value' attribute.
    `static int` | `REGEX_VALUE_FEATURE_COUNT` | The number of structural features of the 'Regex Value' class.
    `static int` | `RESULT_NAME` | The meta object id for the '`Result Name`' class.
    `static int` | `RESULT_NAME_FEATURE_COUNT` | The number of structural features of the 'Result Name' class.
    `static int` | `RESULT_TABLE_HEADER` | The meta object id for the '`Result Table Header`' class.
    `static int` | `RESULT_TABLE_HEADER__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `RESULT_TABLE_HEADER_FEATURE_COUNT` | The number of structural features of the 'Result Table Header' class.
    `static int` | `SIMPLE12_HRS_TIME_VALUE` | The meta object id for the '`Simple12 Hrs Time Value`' class.
    `static int` | `SIMPLE12_HRS_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `SIMPLE12_HRS_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'Simple12 Hrs Time Value' class.
    `static int` | `SIMPLE24_HRS_TIME_VALUE` | The meta object id for the '`Simple24 Hrs Time Value`' class.
    `static int` | `SIMPLE24_HRS_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `SIMPLE24_HRS_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'Simple24 Hrs Time Value' class.
    `static int` | `STANDARD_OPERATION` | The meta object id for the '`Standard Operation`' class.
    `static int` | `STANDARD_OPERATION__FIRST_OPERAND` | The feature id for the 'First Operand' containment reference.
    `static int` | `STANDARD_OPERATION__MORE_OPERANDS` | The feature id for the 'More Operands' containment reference list.
    `static int` | `STANDARD_OPERATION__OPERATORS` | The feature id for the 'Operators' attribute list.
    `static int` | `STANDARD_OPERATION_FEATURE_COUNT` | The number of structural features of the 'Standard Operation' class.
    `static int` | `STATEMENT` | The meta object id for the '`Statement`' class.
    `static int` | `STATEMENT__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `STATEMENT__NAME` | The feature id for the 'Name' attribute.
    `static int` | `STATEMENT_FEATURE_COUNT` | The number of structural features of the 'Statement' class.
    `static int` | `STATIC_VALUE` | The meta object id for the '`Static Value`' class.
    `static int` | `STATIC_VALUE_FEATURE_COUNT` | The number of structural features of the 'Static Value' class.
    `static int` | `STRING_VALUE` | The meta object id for the '`String Value`' class.
    `static int` | `STRING_VALUE__STRING_VALUE` | The feature id for the 'String Value' attribute.
    `static int` | `STRING_VALUE_FEATURE_COUNT` | The number of structural features of the 'String Value' class.
    `static int` | `SUITE` | The meta object id for the '`Suite`' class.
    `static int` | `SUITE__DEFINITION` | The feature id for the 'Definition' reference.
    `static int` | `SUITE__FORK` | The feature id for the 'Fork' reference.
    `static int` | `SUITE__INLINED` | The feature id for the 'Inlined' attribute.
    `static int` | `SUITE__MULTIPLIER` | The feature id for the 'Multiplier' containment reference.
    `static int` | `SUITE__PARAMETERS` | The feature id for the 'Parameters' containment reference list.
    `static int` | `SUITE__RETURN` | The feature id for the 'Return' containment reference list.
    `static int` | `SUITE__VARIANTS` | The feature id for the 'Variants' reference list.
    `static int` | `SUITE_DEFINITION` | The meta object id for the '`Suite Definition`' class.
    `static int` | `SUITE_DEFINITION__DEPENDENCIES` | The feature id for the 'Dependencies' reference list.
    `static int` | `SUITE_DEFINITION__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `SUITE_DEFINITION__FINALIZERS` | The feature id for the 'Finalizers' reference list.
    `static int` | `SUITE_DEFINITION__INLINED` | The feature id for the 'Inlined' attribute.
    `static int` | `SUITE_DEFINITION__NAME` | The feature id for the 'Name' attribute.
    `static int` | `SUITE_DEFINITION__PARAMETERS` | The feature id for the 'Parameters' containment reference list.
    `static int` | `SUITE_DEFINITION__PRIVATE` | The feature id for the 'Private' attribute.
    `static int` | `SUITE_DEFINITION__RETURN` | The feature id for the 'Return' containment reference list.
    `static int` | `SUITE_DEFINITION__SINGLE_RUN` | The feature id for the 'Single Run' attribute.
    `static int` | `SUITE_DEFINITION__STATEMENTS` | The feature id for the 'Statements' containment reference list.
    `static int` | `SUITE_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Suite Definition' class.
    `static int` | `SUITE_FEATURE_COUNT` | The number of structural features of the 'Suite' class.
    `static int` | `SUITE_PARAMETER` | The meta object id for the '`Suite Parameter`' class.
    `static int` | `SUITE_PARAMETER__NAME` | The feature id for the 'Name' reference.
    `static int` | `SUITE_PARAMETER__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `SUITE_PARAMETER_DEFINITION` | The meta object id for the '`Suite Parameter Definition`' class.
    `static int` | `SUITE_PARAMETER_DEFINITION__DEFAULT` | The feature id for the 'Default' containment reference.
    `static int` | `SUITE_PARAMETER_DEFINITION__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `SUITE_PARAMETER_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Suite Parameter Definition' class.
    `static int` | `SUITE_PARAMETER_FEATURE_COUNT` | The number of structural features of the 'Suite Parameter' class.
    `static int` | `SUITE_RETURN` | The meta object id for the '`Suite Return`' class.
    `static int` | `SUITE_RETURN__NAME` | The feature id for the 'Name' reference.
    `static int` | `SUITE_RETURN__TARGET` | The feature id for the 'Target' containment reference.
    `static int` | `SUITE_RETURN_DEFINITION` | The meta object id for the '`Suite Return Definition`' class.
    `static int` | `SUITE_RETURN_DEFINITION__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `SUITE_RETURN_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Suite Return Definition' class.
    `static int` | `SUITE_RETURN_FEATURE_COUNT` | The number of structural features of the 'Suite Return' class.
    `static int` | `SUITE_STATEMENT` | The meta object id for the '`Suite Statement`' class.
    `static int` | `SUITE_STATEMENT_FEATURE_COUNT` | The number of structural features of the 'Suite Statement' class.
    `static int` | `SUITE_STATEMENT_WITH_RESULT` | The meta object id for the '`Suite Statement With Result`' class.
    `static int` | `SUITE_STATEMENT_WITH_RESULT_FEATURE_COUNT` | The number of structural features of the 'Suite Statement With Result' class.
    `static int` | `TABLE_TEST` | The meta object id for the '`Table Test`' class.
    `static int` | `TABLE_TEST__DEFAULT_RESULT_COLUMN` | The feature id for the 'Default Result Column' attribute.
    `static int` | `TABLE_TEST__DEFINITION` | The feature id for the 'Definition' reference.
    `static int` | `TABLE_TEST__PARAMETER_HEADERS` | The feature id for the 'Parameter Headers' containment reference list.
    `static int` | `TABLE_TEST__PARAMETERS` | The feature id for the 'Parameters' containment reference list.
    `static int` | `TABLE_TEST__RESULT_HEADERS` | The feature id for the 'Result Headers' containment reference list.
    `static int` | `TABLE_TEST__ROWS` | The feature id for the 'Rows' containment reference list.
    `static int` | `TABLE_TEST_FEATURE_COUNT` | The number of structural features of the 'Table Test' class.
    `static int` | `TABLE_TEST_ROW` | The meta object id for the '`Table Test Row`' class.
    `static int` | `TABLE_TEST_ROW__VALUES` | The feature id for the 'Values' containment reference list.
    `static int` | `TABLE_TEST_ROW_FEATURE_COUNT` | The number of structural features of the 'Table Test Row' class.
    `static int` | `TEST` | The meta object id for the '`Test`' class.
    `static int` | `TEST__CHECKPOINT` | The feature id for the 'Checkpoint' attribute.
    `static int` | `TEST__DEFINITION` | The feature id for the 'Definition' reference.
    `static int` | `TEST__PARAMETERS` | The feature id for the 'Parameters' containment reference list.
    `static int` | `TEST__RESULT` | The feature id for the 'Result' containment reference.
    `static int` | `TEST__RESULTS` | The feature id for the 'Results' containment reference list.
    `static int` | `TEST_DEFINITION` | The meta object id for the '`Test Definition`' class.
    `static int` | `TEST_DEFINITION__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `TEST_DEFINITION__FIXTURE_METHOD` | The feature id for the 'Fixture Method' containment reference.
    `static int` | `TEST_DEFINITION__NAME` | The feature id for the 'Name' attribute.
    `static int` | `TEST_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Test Definition' class.
    `static int` | `TEST_FEATURE_COUNT` | The number of structural features of the 'Test' class.
    `static int` | `TIME_DIFFERENCE` | The meta object id for the '`Time Difference`' class.
    `static int` | `TIME_DIFFERENCE__CALCULATED_VALUE` | The feature id for the 'Calculated Value' containment reference.
    `static int` | `TIME_DIFFERENCE__DIRECTION` | The feature id for the 'Direction' attribute.
    `static int` | `TIME_DIFFERENCE__FIXED_VALUES` | The feature id for the 'Fixed Values' attribute list.
    `static int` | `TIME_DIFFERENCE_FEATURE_COUNT` | The number of structural features of the 'Time Difference' class.
    `static int` | `TIME_PROGRESSION_FACTOR` | The meta object id for the '`Time Progression Factor`' class.
    `static int` | `TIME_PROGRESSION_FACTOR__CALCULATED_VALUE` | The feature id for the 'Calculated Value' containment reference.
    `static int` | `TIME_PROGRESSION_FACTOR__FIXED_VALUE` | The feature id for the 'Fixed Value' attribute.
    `static int` | `TIME_PROGRESSION_FACTOR_FEATURE_COUNT` | The number of structural features of the 'Time Progression Factor' class.
    `static int` | `TIME_SET` | The meta object id for the '`Time Set`' class.
    `static int` | `TIME_SET__DIFF_TIME` | The feature id for the 'Diff Time' containment reference.
    `static int` | `TIME_SET__FORKS` | The feature id for the 'Forks' reference list.
    `static int` | `TIME_SET__LIVE` | The feature id for the 'Live' attribute.
    `static int` | `TIME_SET__MASTER_FORK` | The feature id for the 'Master Fork' attribute.
    `static int` | `TIME_SET__PROGRESSION_FACTOR` | The feature id for the 'Progression Factor' containment reference.
    `static int` | `TIME_SET__PROGRESSION_MODE` | The feature id for the 'Progression Mode' attribute.
    `static int` | `TIME_SET__START_TIME` | The feature id for the 'Start Time' containment reference.
    `static int` | `TIME_SET_FEATURE_COUNT` | The number of structural features of the 'Time Set' class.
    `static int` | `TIME_VALUE` | The meta object id for the '`Time Value`' class.
    `static int` | `TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'Time Value' class.
    `static int` | `TYPED_NESTED_OBJECT` | The meta object id for the '`Typed Nested Object`' class.
    `static int` | `TYPED_NESTED_OBJECT__NESTED_OBJECT` | The feature id for the 'Nested Object' containment reference.
    `static int` | `TYPED_NESTED_OBJECT__TYPE` | The feature id for the 'Type' containment reference.
    `static int` | `TYPED_NESTED_OBJECT_FEATURE_COUNT` | The number of structural features of the 'Typed Nested Object' class.
    `static int` | `US_DATE_AND12_HRS_TIME_VALUE` | The meta object id for the '`US Date And12 Hrs Time Value`' class.
    `static int` | `US_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `US_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE` | The feature id for the 'Time Value' attribute.
    `static int` | `US_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT` | The number of structural features of the 'US Date And12 Hrs Time Value' class.
    `static int` | `US_DATE_VALUE` | The meta object id for the '`US Date Value`' class.
    `static int` | `US_DATE_VALUE__DATE_VALUE` | The feature id for the 'Date Value' attribute.
    `static int` | `US_DATE_VALUE_FEATURE_COUNT` | The number of structural features of the 'US Date Value' class.
    `static int` | `VALUE` | The meta object id for the '`Value`' class.
    `static int` | `VALUE_FEATURE_COUNT` | The number of structural features of the 'Value' class.
    `static int` | `VALUE_OR_ENUM_VALUE_OR_OPERATION` | The meta object id for the '`Value Or Enum Value Or Operation`' class.
    `static int` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION` | The meta object id for the '`Value Or Enum Value Or Operation Collection`' class.
    `static int` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__MORE_VALUES` | The feature id for the 'More Values' containment reference list.
    `static int` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION_FEATURE_COUNT` | The number of structural features of the 'Value Or Enum Value Or Operation Collection' class.
    `static int` | `VALUE_OR_ENUM_VALUE_OR_OPERATION_FEATURE_COUNT` | The number of structural features of the 'Value Or Enum Value Or Operation' class.
    `static int` | `VARIABLE` | The meta object id for the '`Variable`' class.
    `static int` | `VARIABLE__ATTRIBUTE` | The feature id for the 'Attribute' attribute.
    `static int` | `VARIABLE__NAME` | The feature id for the 'Name' reference.
    `static int` | `VARIABLE_ASSIGNMENT` | The meta object id for the '`Variable Assignment`' class.
    `static int` | `VARIABLE_ASSIGNMENT__TARGET` | The feature id for the 'Target' containment reference.
    `static int` | `VARIABLE_ASSIGNMENT__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `VARIABLE_ASSIGNMENT_FEATURE_COUNT` | The number of structural features of the 'Variable Assignment' class.
    `static int` | `VARIABLE_DEFINITION` | The meta object id for the '`Variable Definition`' class.
    `static int` | `VARIABLE_DEFINITION__INITIAL_VALUE` | The feature id for the 'Initial Value' containment reference.
    `static int` | `VARIABLE_DEFINITION__NAME` | The feature id for the 'Name' containment reference.
    `static int` | `VARIABLE_DEFINITION__PRIVATE` | The feature id for the 'Private' attribute.
    `static int` | `VARIABLE_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Variable Definition' class.
    `static int` | `VARIABLE_ENTITY` | The meta object id for the '`Variable Entity`' class.
    `static int` | `VARIABLE_ENTITY__NAME` | The feature id for the 'Name' attribute.
    `static int` | `VARIABLE_ENTITY_FEATURE_COUNT` | The number of structural features of the 'Variable Entity' class.
    `static int` | `VARIABLE_FEATURE_COUNT` | The number of structural features of the 'Variable' class.
    `static int` | `VARIABLE_OR_CONSTANT_ENTITY` | The meta object id for the '`Variable Or Constant Entity`' class.
    `static int` | `VARIABLE_OR_CONSTANT_ENTITY__NAME` | The feature id for the 'Name' attribute.
    `static int` | `VARIABLE_OR_CONSTANT_ENTITY_FEATURE_COUNT` | The number of structural features of the 'Variable Or Constant Entity' class.
    `static int` | `VARIABLE_VARIABLE` | The meta object id for the '`Variable Variable`' class.
    `static int` | `VARIABLE_VARIABLE__NAME` | The feature id for the 'Name' reference.
    `static int` | `VARIABLE_VARIABLE_FEATURE_COUNT` | The number of structural features of the 'Variable Variable' class.
    `static int` | `VARIANT_DEFINITION` | The meta object id for the '`Variant Definition`' class.
    `static int` | `VARIANT_DEFINITION__DESCRIPTION` | The feature id for the 'Description' attribute.
    `static int` | `VARIANT_DEFINITION__DOCUMENTATION` | The feature id for the 'Documentation' containment reference.
    `static int` | `VARIANT_DEFINITION__NAME` | The feature id for the 'Name' attribute.
    `static int` | `VARIANT_DEFINITION_FEATURE_COUNT` | The number of structural features of the 'Variant Definition' class.
    `static int` | `VARIANT_VALUE` | The meta object id for the '`Variant Value`' class.
    `static int` | `VARIANT_VALUE__NAMES` | The feature id for the 'Names' reference list.
    `static int` | `VARIANT_VALUE__VALUE` | The feature id for the 'Value' containment reference.
    `static int` | `VARIANT_VALUE_FEATURE_COUNT` | The number of structural features of the 'Variant Value' class.
    `static int` | `VISIBLE_COMMENT` | The meta object id for the '`Visible Comment`' class.
    `static int` | `VISIBLE_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Visible Comment' class.
    `static int` | `VISIBLE_DIVIDER` | The meta object id for the '`Visible Divider`' class.
    `static int` | `VISIBLE_DIVIDER__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_DIVIDER_FEATURE_COUNT` | The number of structural features of the 'Visible Divider' class.
    `static int` | `VISIBLE_MULTI_LINE_COMMENT` | The meta object id for the '`Visible Multi Line Comment`' class.
    `static int` | `VISIBLE_MULTI_LINE_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_MULTI_LINE_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Visible Multi Line Comment' class.
    `static int` | `VISIBLE_MULTI_LINE_NORMAL_COMMENT` | The meta object id for the '`Visible Multi Line Normal Comment`' class.
    `static int` | `VISIBLE_MULTI_LINE_NORMAL_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_MULTI_LINE_NORMAL_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Visible Multi Line Normal Comment' class.
    `static int` | `VISIBLE_MULTI_LINE_TITLE_COMMENT` | The meta object id for the '`Visible Multi Line Title Comment`' class.
    `static int` | `VISIBLE_MULTI_LINE_TITLE_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_MULTI_LINE_TITLE_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Visible Multi Line Title Comment' class.
    `static int` | `VISIBLE_SINGLE_LINE_COMMENT` | The meta object id for the '`Visible Single Line Comment`' class.
    `static int` | `VISIBLE_SINGLE_LINE_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_SINGLE_LINE_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Visible Single Line Comment' class.
    `static int` | `VISIBLE_SINGLE_LINE_NORMAL_COMMENT` | The meta object id for the '`Visible Single Line Normal Comment`' class.
    `static int` | `VISIBLE_SINGLE_LINE_NORMAL_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_SINGLE_LINE_NORMAL_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Visible Single Line Normal Comment' class.
    `static int` | `VISIBLE_SINGLE_LINE_TITLE_COMMENT` | The meta object id for the '`Visible Single Line Title Comment`' class.
    `static int` | `VISIBLE_SINGLE_LINE_TITLE_COMMENT__CONTENT` | The feature id for the 'Content' attribute.
    `static int` | `VISIBLE_SINGLE_LINE_TITLE_COMMENT_FEATURE_COUNT` | The number of structural features of the 'Visible Single Line Title Comment' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EClass` | `getArbitraryParameterOrResultName()` | Returns the meta object for class '`Arbitrary Parameter Or Result Name`'.
    `org.eclipse.emf.ecore.EAttribute` | `getArbitraryParameterOrResultName_Identifier()` | Returns the meta object for the attribute '`Identifier`'.
    `org.eclipse.emf.ecore.EAttribute` | `getArbitraryParameterOrResultName_StringIdentifier()` | Returns the meta object for the attribute '`String Identifier`'.
    `org.eclipse.emf.ecore.EClass` | `getBooleanValue()` | Returns the meta object for class '`Boolean Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getBooleanValue_BooleanValue()` | Returns the meta object for the attribute '`Boolean Value`'.
    `org.eclipse.emf.ecore.EClass` | `getCall()` | Returns the meta object for class '`Call`'.
    `org.eclipse.emf.ecore.EReference` | `getCall_Definition()` | Returns the meta object for the reference '`Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getCall_Multiplier()` | Returns the meta object for the containment reference '`Multiplier`'.
    `org.eclipse.emf.ecore.EReference` | `getCall_Parameters()` | Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EReference` | `getCall_Result()` | Returns the meta object for the containment reference '`Result`'.
    `org.eclipse.emf.ecore.EReference` | `getCall_Results()` | Returns the meta object for the containment reference list '`Results`'.
    `org.eclipse.emf.ecore.EClass` | `getCallDefinition()` | Returns the meta object for class '`Call Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getCallDefinition_Documentation()` | Returns the meta object for the containment reference '`Documentation`'.
    `org.eclipse.emf.ecore.EReference` | `getCallDefinition_FixtureMethod()` | Returns the meta object for the containment reference '`Fixture Method`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCallDefinition_Name()` | Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getConstant()` | Returns the meta object for class '`Constant`'.
    `org.eclipse.emf.ecore.EReference` | `getConstant_Name()` | Returns the meta object for the reference '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getConstantDefinition()` | Returns the meta object for class '`Constant Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_Documentation()` | Returns the meta object for the containment reference '`Documentation`'.
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EAttribute` | `getConstantDefinition_Parameterized()` | Returns the meta object for the attribute '`Parameterized`'.
    `org.eclipse.emf.ecore.EAttribute` | `getConstantDefinition_Private()` | Returns the meta object for the attribute '`Private`'.
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_VariantValues()` | Returns the meta object for the containment reference list '`Variant Values`'.
    `org.eclipse.emf.ecore.EClass` | `getConstantEntity()` | Returns the meta object for class '`Constant Entity`'.
    `org.eclipse.emf.ecore.EClass` | `getConstantValue()` | Returns the meta object for class '`Constant Value`'.
    `org.eclipse.emf.ecore.EClass` | `getCustomOperation()` | Returns the meta object for class '`Custom Operation`'.
    `org.eclipse.emf.ecore.EReference` | `getCustomOperation_Definition()` | Returns the meta object for the reference '`Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getCustomOperation_PostfixOperand()` | Returns the meta object for the containment reference '`Postfix Operand`'.
    `org.eclipse.emf.ecore.EReference` | `getCustomOperation_PrefixOperand()` | Returns the meta object for the containment reference '`Prefix Operand`'.
    `org.eclipse.emf.ecore.EClass` | `getDateAndTimeValue()` | Returns the meta object for class '`Date And Time Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getDateAndTimeValue_DateValue()` | Returns the meta object for the attribute '`Date Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getDateAndTimeValue_TimeValue()` | Returns the meta object for the attribute '`Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getDateValue()` | Returns the meta object for class '`Date Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getDateValue_DateValue()` | Returns the meta object for the attribute '`Date Value`'.
    `org.eclipse.emf.ecore.EClass` | `getDecimalValue()` | Returns the meta object for class '`Decimal Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getDecimalValue_DecimalValue()` | Returns the meta object for the attribute '`Decimal Value`'.
    `org.eclipse.emf.ecore.EClass` | `getDocumentationComment()` | Returns the meta object for class '`Documentation Comment`'.
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentationComment_Content()` | Returns the meta object for the attribute '`Content`'.
    `DslFactory` | `getDslFactory()` | Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EClass` | `getEmpty()` | Returns the meta object for class '`Empty`'.
    `org.eclipse.emf.ecore.EClass` | `getEmptyValue()` | Returns the meta object for class '`Empty Value`'.
    `org.eclipse.emf.ecore.EClass` | `getEnumValue()` | Returns the meta object for class '`Enum Value`'.
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_EnumValue()` | Returns the meta object for the reference '`Enum Value`'.
    `org.eclipse.emf.ecore.EClass` | `getEuropeanDateAnd12HrsTimeValue()` | Returns the meta object for class '`European Date And12 Hrs Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getEuropeanDateAnd24HrsTimeValue()` | Returns the meta object for class '`European Date And24 Hrs Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getEuropeanDateValue()` | Returns the meta object for class '`European Date Value`'.
    `org.eclipse.emf.ecore.EClass` | `getExecutionMultiplier()` | Returns the meta object for class '`Execution Multiplier`'.
    `org.eclipse.emf.ecore.EReference` | `getExecutionMultiplier_Count()` | Returns the meta object for the containment reference '`Count`'.
    `org.eclipse.emf.ecore.EClass` | `getFixedParameterName()` | Returns the meta object for class '`Fixed Parameter Name`'.
    `org.eclipse.emf.ecore.EReference` | `getFixedParameterName_Annotation()` | Returns the meta object for the reference '`Annotation`'.
    `org.eclipse.emf.ecore.EClass` | `getFixedResultName()` | Returns the meta object for class '`Fixed Result Name`'.
    `org.eclipse.emf.ecore.EReference` | `getFixedResultName_Field()` | Returns the meta object for the reference '`Field`'.
    `org.eclipse.emf.ecore.EClass` | `getForkDefinition()` | Returns the meta object for class '`Fork Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getForkDefinition_BaseFork()` | Returns the meta object for the reference '`Base Fork`'.
    `org.eclipse.emf.ecore.EAttribute` | `getForkDefinition_Description()` | Returns the meta object for the attribute '`Description`'.
    `org.eclipse.emf.ecore.EReference` | `getForkDefinition_ForkerClass()` | Returns the meta object for the containment reference '`Forker Class`'.
    `org.eclipse.emf.ecore.EReference` | `getForkDefinition_Parameters()` | Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EAttribute` | `getForkDefinition_Private()` | Returns the meta object for the attribute '`Private`'.
    `org.eclipse.emf.ecore.EClass` | `getForkParameter()` | Returns the meta object for class '`Fork Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getForkParameter_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getForkParameter_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getImport()` | Returns the meta object for class '`Import`'.
    `org.eclipse.emf.ecore.EAttribute` | `getImport_ImportedNamespace()` | Returns the meta object for the attribute '`Imported Namespace`'.
    `org.eclipse.emf.ecore.EClass` | `getInexistent()` | Returns the meta object for class '`Inexistent`'.
    `org.eclipse.emf.ecore.EClass` | `getInexistentValue()` | Returns the meta object for class '`Inexistent Value`'.
    `org.eclipse.emf.ecore.EClass` | `getIntegerValue()` | Returns the meta object for class '`Integer Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getIntegerValue_IntegerValue()` | Returns the meta object for the attribute '`Integer Value`'.
    `org.eclipse.emf.ecore.EClass` | `getIsoDateAndTimeValue()` | Returns the meta object for class '`Iso Date And Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getIsoDateValue()` | Returns the meta object for class '`Iso Date Value`'.
    `org.eclipse.emf.ecore.EClass` | `getIsoTimeValue()` | Returns the meta object for class '`Iso Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getJavaClassReference()` | Returns the meta object for class '`Java Class Reference`'.
    `org.eclipse.emf.ecore.EReference` | `getJavaClassReference_Type()` | Returns the meta object for the reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getJavaConstantReference()` | Returns the meta object for class '`Java Constant Reference`'.
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantReference_Constant()` | Returns the meta object for the reference '`Constant`'.
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantReference_Type()` | Returns the meta object for the reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getJavaConstantValue()` | Returns the meta object for class '`Java Constant Value`'.
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantValue_Constant()` | Returns the meta object for the containment reference '`Constant`'.
    `org.eclipse.emf.ecore.EClass` | `getKeyValuePair()` | Returns the meta object for class '`Key Value Pair`'.
    `org.eclipse.emf.ecore.EAttribute` | `getKeyValuePair_Identifier()` | Returns the meta object for the attribute '`Identifier`'.
    `org.eclipse.emf.ecore.EAttribute` | `getKeyValuePair_StringIdentifier()` | Returns the meta object for the attribute '`String Identifier`'.
    `org.eclipse.emf.ecore.EReference` | `getKeyValuePair_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getMethodReference()` | Returns the meta object for class '`Method Reference`'.
    `org.eclipse.emf.ecore.EReference` | `getMethodReference_Method()` | Returns the meta object for the reference '`Method`'.
    `org.eclipse.emf.ecore.EReference` | `getMethodReference_Type()` | Returns the meta object for the reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getModel()` | Returns the meta object for class '`Model`'.
    `org.eclipse.emf.ecore.EReference` | `getModel_Imports()` | Returns the meta object for the containment reference list '`Imports`'.
    `org.eclipse.emf.ecore.EReference` | `getModel_Statements()` | Returns the meta object for the containment reference list '`Statements`'.
    `org.eclipse.emf.ecore.EClass` | `getNamedCallResult()` | Returns the meta object for class '`Named Call Result`'.
    `org.eclipse.emf.ecore.EReference` | `getNamedCallResult_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getNamedCallResult_Target()` | Returns the meta object for the containment reference '`Target`'.
    `org.eclipse.emf.ecore.EClass` | `getNamedResult()` | Returns the meta object for class '`Named Result`'.
    `org.eclipse.emf.ecore.EReference` | `getNamedResult_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getNamedResult_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getNestedObject()` | Returns the meta object for class '`Nested Object`'.
    `org.eclipse.emf.ecore.EReference` | `getNestedObject_Attributes()` | Returns the meta object for the containment reference list '`Attributes`'.
    `org.eclipse.emf.ecore.EClass` | `getNull()` | Returns the meta object for class '`Null`'.
    `org.eclipse.emf.ecore.EClass` | `getNullValue()` | Returns the meta object for class '`Null Value`'.
    `org.eclipse.emf.ecore.EClass` | `getOperation()` | Returns the meta object for class '`Operation`'.
    `org.eclipse.emf.ecore.EClass` | `getOperationDefinition()` | Returns the meta object for class '`Operation Definition`'.
    `org.eclipse.emf.ecore.EAttribute` | `getOperationDefinition_Name()` | Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getOperationDefinition_OperationType()` | Returns the meta object for the containment reference '`Operation Type`'.
    `org.eclipse.emf.ecore.EClass` | `getPackageDefinition()` | Returns the meta object for class '`Package Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getPackageDefinition_Statements()` | Returns the meta object for the containment reference list '`Statements`'.
    `org.eclipse.emf.ecore.EClass` | `getPackageStatement()` | Returns the meta object for class '`Package Statement`'.
    `org.eclipse.emf.ecore.EClass` | `getParameter()` | Returns the meta object for class '`Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getParameter_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getParameter_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterName()` | Returns the meta object for class '`Parameter Name`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterTableHeader()` | Returns the meta object for class '`Parameter Table Header`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterTableHeader_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterTableValue()` | Returns the meta object for class '`Parameter Table Value`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterTableValue_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getRegexValue()` | Returns the meta object for class '`Regex Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getRegexValue_RegexValue()` | Returns the meta object for the attribute '`Regex Value`'.
    `org.eclipse.emf.ecore.EClass` | `getResultName()` | Returns the meta object for class '`Result Name`'.
    `org.eclipse.emf.ecore.EClass` | `getResultTableHeader()` | Returns the meta object for class '`Result Table Header`'.
    `org.eclipse.emf.ecore.EReference` | `getResultTableHeader_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getSimple12HrsTimeValue()` | Returns the meta object for class '`Simple12 Hrs Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getSimple24HrsTimeValue()` | Returns the meta object for class '`Simple24 Hrs Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getStandardOperation()` | Returns the meta object for class '`Standard Operation`'.
    `org.eclipse.emf.ecore.EReference` | `getStandardOperation_FirstOperand()` | Returns the meta object for the containment reference '`First Operand`'.
    `org.eclipse.emf.ecore.EReference` | `getStandardOperation_MoreOperands()` | Returns the meta object for the containment reference list '`More Operands`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStandardOperation_Operators()` | Returns the meta object for the attribute list '`Operators`'.
    `org.eclipse.emf.ecore.EClass` | `getStatement()` | Returns the meta object for class '`Statement`'.
    `org.eclipse.emf.ecore.EReference` | `getStatement_Documentation()` | Returns the meta object for the containment reference '`Documentation`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStatement_Name()` | Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getStaticValue()` | Returns the meta object for class '`Static Value`'.
    `org.eclipse.emf.ecore.EClass` | `getStringValue()` | Returns the meta object for class '`String Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStringValue_StringValue()` | Returns the meta object for the attribute '`String Value`'.
    `org.eclipse.emf.ecore.EClass` | `getSuite()` | Returns the meta object for class '`Suite`'.
    `org.eclipse.emf.ecore.EReference` | `getSuite_Definition()` | Returns the meta object for the reference '`Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getSuite_Fork()` | Returns the meta object for the reference '`Fork`'.
    `org.eclipse.emf.ecore.EAttribute` | `getSuite_Inlined()` | Returns the meta object for the attribute '`Inlined`'.
    `org.eclipse.emf.ecore.EReference` | `getSuite_Multiplier()` | Returns the meta object for the containment reference '`Multiplier`'.
    `org.eclipse.emf.ecore.EReference` | `getSuite_Parameters()` | Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EReference` | `getSuite_Return()` | Returns the meta object for the containment reference list '`Return`'.
    `org.eclipse.emf.ecore.EReference` | `getSuite_Variants()` | Returns the meta object for the reference list '`Variants`'.
    `org.eclipse.emf.ecore.EClass` | `getSuiteDefinition()` | Returns the meta object for class '`Suite Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Dependencies()` | Returns the meta object for the reference list '`Dependencies`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Documentation()` | Returns the meta object for the containment reference '`Documentation`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Finalizers()` | Returns the meta object for the reference list '`Finalizers`'.
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_Inlined()` | Returns the meta object for the attribute '`Inlined`'.
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_Name()` | Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Parameters()` | Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_Private()` | Returns the meta object for the attribute '`Private`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Return()` | Returns the meta object for the containment reference list '`Return`'.
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_SingleRun()` | Returns the meta object for the attribute '`Single Run`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Statements()` | Returns the meta object for the containment reference list '`Statements`'.
    `org.eclipse.emf.ecore.EClass` | `getSuiteParameter()` | Returns the meta object for class '`Suite Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameter_Name()` | Returns the meta object for the reference '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameter_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getSuiteParameterDefinition()` | Returns the meta object for class '`Suite Parameter Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameterDefinition_Default()` | Returns the meta object for the containment reference '`Default`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameterDefinition_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getSuiteReturn()` | Returns the meta object for class '`Suite Return`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteReturn_Name()` | Returns the meta object for the reference '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteReturn_Target()` | Returns the meta object for the containment reference '`Target`'.
    `org.eclipse.emf.ecore.EClass` | `getSuiteReturnDefinition()` | Returns the meta object for class '`Suite Return Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getSuiteReturnDefinition_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getSuiteStatement()` | Returns the meta object for class '`Suite Statement`'.
    `org.eclipse.emf.ecore.EClass` | `getSuiteStatementWithResult()` | Returns the meta object for class '`Suite Statement With Result`'.
    `org.eclipse.emf.ecore.EClass` | `getTableTest()` | Returns the meta object for class '`Table Test`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTableTest_DefaultResultColumn()` | Returns the meta object for the attribute '`Default Result Column`'.
    `org.eclipse.emf.ecore.EReference` | `getTableTest_Definition()` | Returns the meta object for the reference '`Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getTableTest_ParameterHeaders()` | Returns the meta object for the containment reference list '`Parameter Headers`'.
    `org.eclipse.emf.ecore.EReference` | `getTableTest_Parameters()` | Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EReference` | `getTableTest_ResultHeaders()` | Returns the meta object for the containment reference list '`Result Headers`'.
    `org.eclipse.emf.ecore.EReference` | `getTableTest_Rows()` | Returns the meta object for the containment reference list '`Rows`'.
    `org.eclipse.emf.ecore.EClass` | `getTableTestRow()` | Returns the meta object for class '`Table Test Row`'.
    `org.eclipse.emf.ecore.EReference` | `getTableTestRow_Values()` | Returns the meta object for the containment reference list '`Values`'.
    `org.eclipse.emf.ecore.EClass` | `getTest()` | Returns the meta object for class '`Test`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTest_Checkpoint()` | Returns the meta object for the attribute '`Checkpoint`'.
    `org.eclipse.emf.ecore.EReference` | `getTest_Definition()` | Returns the meta object for the reference '`Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getTest_Parameters()` | Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EReference` | `getTest_Result()` | Returns the meta object for the containment reference '`Result`'.
    `org.eclipse.emf.ecore.EReference` | `getTest_Results()` | Returns the meta object for the containment reference list '`Results`'.
    `org.eclipse.emf.ecore.EClass` | `getTestDefinition()` | Returns the meta object for class '`Test Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getTestDefinition_Documentation()` | Returns the meta object for the containment reference '`Documentation`'.
    `org.eclipse.emf.ecore.EReference` | `getTestDefinition_FixtureMethod()` | Returns the meta object for the containment reference '`Fixture Method`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTestDefinition_Name()` | Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getTimeDifference()` | Returns the meta object for class '`Time Difference`'.
    `org.eclipse.emf.ecore.EReference` | `getTimeDifference_CalculatedValue()` | Returns the meta object for the containment reference '`Calculated Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimeDifference_Direction()` | Returns the meta object for the attribute '`Direction`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimeDifference_FixedValues()` | Returns the meta object for the attribute list '`Fixed Values`'.
    `org.eclipse.emf.ecore.EClass` | `getTimeProgressionFactor()` | Returns the meta object for class '`Time Progression Factor`'.
    `org.eclipse.emf.ecore.EReference` | `getTimeProgressionFactor_CalculatedValue()` | Returns the meta object for the containment reference '`Calculated Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimeProgressionFactor_FixedValue()` | Returns the meta object for the attribute '`Fixed Value`'.
    `org.eclipse.emf.ecore.EClass` | `getTimeSet()` | Returns the meta object for class '`Time Set`'.
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_DiffTime()` | Returns the meta object for the containment reference '`Diff Time`'.
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_Forks()` | Returns the meta object for the reference list '`Forks`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimeSet_Live()` | Returns the meta object for the attribute '`Live`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimeSet_MasterFork()` | Returns the meta object for the attribute '`Master Fork`'.
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_ProgressionFactor()` | Returns the meta object for the containment reference '`Progression Factor`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimeSet_ProgressionMode()` | Returns the meta object for the attribute '`Progression Mode`'.
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_StartTime()` | Returns the meta object for the containment reference '`Start Time`'.
    `org.eclipse.emf.ecore.EClass` | `getTimeValue()` | Returns the meta object for class '`Time Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimeValue_TimeValue()` | Returns the meta object for the attribute '`Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getTypedNestedObject()` | Returns the meta object for class '`Typed Nested Object`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedNestedObject_NestedObject()` | Returns the meta object for the containment reference '`Nested Object`'.
    `org.eclipse.emf.ecore.EReference` | `getTypedNestedObject_Type()` | Returns the meta object for the containment reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getUSDateAnd12HrsTimeValue()` | Returns the meta object for class '`US Date And12 Hrs Time Value`'.
    `org.eclipse.emf.ecore.EClass` | `getUSDateValue()` | Returns the meta object for class '`US Date Value`'.
    `org.eclipse.emf.ecore.EClass` | `getValue()` | Returns the meta object for class '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getValueOrEnumValueOrOperation()` | Returns the meta object for class '`Value Or Enum Value Or Operation`'.
    `org.eclipse.emf.ecore.EClass` | `getValueOrEnumValueOrOperationCollection()` | Returns the meta object for class '`Value Or Enum Value Or Operation Collection`'.
    `org.eclipse.emf.ecore.EReference` | `getValueOrEnumValueOrOperationCollection_MoreValues()` | Returns the meta object for the containment reference list '`More Values`'.
    `org.eclipse.emf.ecore.EReference` | `getValueOrEnumValueOrOperationCollection_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getVariable()` | Returns the meta object for class '`Variable`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariable_Attribute()` | Returns the meta object for the attribute '`Attribute`'.
    `org.eclipse.emf.ecore.EReference` | `getVariable_Name()` | Returns the meta object for the reference '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableAssignment()` | Returns the meta object for class '`Variable Assignment`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableAssignment_Target()` | Returns the meta object for the containment reference '`Target`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableAssignment_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableDefinition()` | Returns the meta object for class '`Variable Definition`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableDefinition_InitialValue()` | Returns the meta object for the containment reference '`Initial Value`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableDefinition_Name()` | Returns the meta object for the containment reference '`Name`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariableDefinition_Private()` | Returns the meta object for the attribute '`Private`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableEntity()` | Returns the meta object for class '`Variable Entity`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableOrConstantEntity()` | Returns the meta object for class '`Variable Or Constant Entity`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariableOrConstantEntity_Name()` | Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableVariable()` | Returns the meta object for class '`Variable Variable`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableVariable_Name()` | Returns the meta object for the reference '`Name`'.
    `org.eclipse.emf.ecore.EClass` | `getVariantDefinition()` | Returns the meta object for class '`Variant Definition`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariantDefinition_Description()` | Returns the meta object for the attribute '`Description`'.
    `org.eclipse.emf.ecore.EClass` | `getVariantValue()` | Returns the meta object for class '`Variant Value`'.
    `org.eclipse.emf.ecore.EReference` | `getVariantValue_Names()` | Returns the meta object for the reference list '`Names`'.
    `org.eclipse.emf.ecore.EReference` | `getVariantValue_Value()` | Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleComment()` | Returns the meta object for class '`Visible Comment`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVisibleComment_Content()` | Returns the meta object for the attribute '`Content`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleDivider()` | Returns the meta object for class '`Visible Divider`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVisibleDivider_Content()` | Returns the meta object for the attribute '`Content`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleMultiLineComment()` | Returns the meta object for class '`Visible Multi Line Comment`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleMultiLineNormalComment()` | Returns the meta object for class '`Visible Multi Line Normal Comment`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleMultiLineTitleComment()` | Returns the meta object for class '`Visible Multi Line Title Comment`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleSingleLineComment()` | Returns the meta object for class '`Visible Single Line Comment`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleSingleLineNormalComment()` | Returns the meta object for class '`Visible Single Line Normal Comment`'.
    `org.eclipse.emf.ecore.EClass` | `getVisibleSingleLineTitleComment()` | Returns the meta object for class '`Visible Single Line Title Comment`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final DslPackage eINSTANCE

      The singleton instance of the package.

    - #### MODEL

          static final int MODEL

      The meta object id for the '`Model`' class.
      See Also:
        `ModelImpl`, `DslPackageImpl.getModel()`, Constant Field Values

    - #### MODEL__IMPORTS

          static final int MODEL__IMPORTS

      The feature id for the 'Imports' containment reference list.
      See Also:
        Constant Field Values

    - #### MODEL__STATEMENTS

          static final int MODEL__STATEMENTS

      The feature id for the 'Statements' containment reference list.
      See Also:
        Constant Field Values

    - #### MODEL_FEATURE_COUNT

          static final int MODEL_FEATURE_COUNT

      The number of structural features of the 'Model' class.
      See Also:
        Constant Field Values

    - #### STATEMENT

          static final int STATEMENT

      The meta object id for the '`Statement`' class.
      See Also:
        `StatementImpl`, `DslPackageImpl.getStatement()`, Constant Field Values

    - #### STATEMENT__DOCUMENTATION

          static final int STATEMENT__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### STATEMENT__NAME

          static final int STATEMENT__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### STATEMENT_FEATURE_COUNT

          static final int STATEMENT_FEATURE_COUNT

      The number of structural features of the 'Statement' class.
      See Also:
        Constant Field Values

    - #### SUITE_STATEMENT

          static final int SUITE_STATEMENT

      The meta object id for the '`Suite Statement`' class.
      See Also:
        `SuiteStatementImpl`, `DslPackageImpl.getSuiteStatement()`, Constant Field Values

    - #### SUITE_STATEMENT_FEATURE_COUNT

          static final int SUITE_STATEMENT_FEATURE_COUNT

      The number of structural features of the 'Suite Statement' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_COMMENT

          static final int VISIBLE_COMMENT

      The meta object id for the '`Visible Comment`' class.
      See Also:
        `VisibleCommentImpl`, `DslPackageImpl.getVisibleComment()`, Constant Field Values

    - #### VISIBLE_COMMENT__CONTENT

          static final int VISIBLE_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_COMMENT_FEATURE_COUNT

          static final int VISIBLE_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Visible Comment' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_SINGLE_LINE_COMMENT

          static final int VISIBLE_SINGLE_LINE_COMMENT

      The meta object id for the '`Visible Single Line Comment`' class.
      See Also:
        `VisibleSingleLineCommentImpl`, `DslPackageImpl.getVisibleSingleLineComment()`, Constant Field Values

    - #### VISIBLE_SINGLE_LINE_COMMENT__CONTENT

          static final int VISIBLE_SINGLE_LINE_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_SINGLE_LINE_COMMENT_FEATURE_COUNT

          static final int VISIBLE_SINGLE_LINE_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Visible Single Line Comment' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_SINGLE_LINE_NORMAL_COMMENT

          static final int VISIBLE_SINGLE_LINE_NORMAL_COMMENT

      The meta object id for the '`Visible Single Line Normal Comment`' class.
      See Also:
        `VisibleSingleLineNormalCommentImpl`, `DslPackageImpl.getVisibleSingleLineNormalComment()`, Constant Field Values

    - #### VISIBLE_SINGLE_LINE_NORMAL_COMMENT__CONTENT

          static final int VISIBLE_SINGLE_LINE_NORMAL_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_SINGLE_LINE_NORMAL_COMMENT_FEATURE_COUNT

          static final int VISIBLE_SINGLE_LINE_NORMAL_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Visible Single Line Normal Comment' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_SINGLE_LINE_TITLE_COMMENT

          static final int VISIBLE_SINGLE_LINE_TITLE_COMMENT

      The meta object id for the '`Visible Single Line Title Comment`' class.
      See Also:
        `VisibleSingleLineTitleCommentImpl`, `DslPackageImpl.getVisibleSingleLineTitleComment()`, Constant Field Values

    - #### VISIBLE_SINGLE_LINE_TITLE_COMMENT__CONTENT

          static final int VISIBLE_SINGLE_LINE_TITLE_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_SINGLE_LINE_TITLE_COMMENT_FEATURE_COUNT

          static final int VISIBLE_SINGLE_LINE_TITLE_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Visible Single Line Title Comment' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_MULTI_LINE_COMMENT

          static final int VISIBLE_MULTI_LINE_COMMENT

      The meta object id for the '`Visible Multi Line Comment`' class.
      See Also:
        `VisibleMultiLineCommentImpl`, `DslPackageImpl.getVisibleMultiLineComment()`, Constant Field Values

    - #### VISIBLE_MULTI_LINE_COMMENT__CONTENT

          static final int VISIBLE_MULTI_LINE_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_MULTI_LINE_COMMENT_FEATURE_COUNT

          static final int VISIBLE_MULTI_LINE_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Visible Multi Line Comment' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_MULTI_LINE_NORMAL_COMMENT

          static final int VISIBLE_MULTI_LINE_NORMAL_COMMENT

      The meta object id for the '`Visible Multi Line Normal Comment`' class.
      See Also:
        `VisibleMultiLineNormalCommentImpl`, `DslPackageImpl.getVisibleMultiLineNormalComment()`, Constant Field Values

    - #### VISIBLE_MULTI_LINE_NORMAL_COMMENT__CONTENT

          static final int VISIBLE_MULTI_LINE_NORMAL_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_MULTI_LINE_NORMAL_COMMENT_FEATURE_COUNT

          static final int VISIBLE_MULTI_LINE_NORMAL_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Visible Multi Line Normal Comment' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_MULTI_LINE_TITLE_COMMENT

          static final int VISIBLE_MULTI_LINE_TITLE_COMMENT

      The meta object id for the '`Visible Multi Line Title Comment`' class.
      See Also:
        `VisibleMultiLineTitleCommentImpl`, `DslPackageImpl.getVisibleMultiLineTitleComment()`, Constant Field Values

    - #### VISIBLE_MULTI_LINE_TITLE_COMMENT__CONTENT

          static final int VISIBLE_MULTI_LINE_TITLE_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_MULTI_LINE_TITLE_COMMENT_FEATURE_COUNT

          static final int VISIBLE_MULTI_LINE_TITLE_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Visible Multi Line Title Comment' class.
      See Also:
        Constant Field Values

    - #### VISIBLE_DIVIDER

          static final int VISIBLE_DIVIDER

      The meta object id for the '`Visible Divider`' class.
      See Also:
        `VisibleDividerImpl`, `DslPackageImpl.getVisibleDivider()`, Constant Field Values

    - #### VISIBLE_DIVIDER__CONTENT

          static final int VISIBLE_DIVIDER__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### VISIBLE_DIVIDER_FEATURE_COUNT

          static final int VISIBLE_DIVIDER_FEATURE_COUNT

      The number of structural features of the 'Visible Divider' class.
      See Also:
        Constant Field Values

    - #### PACKAGE_DEFINITION

          static final int PACKAGE_DEFINITION

      The meta object id for the '`Package Definition`' class.
      See Also:
        `PackageDefinitionImpl`, `DslPackageImpl.getPackageDefinition()`, Constant Field Values

    - #### PACKAGE_DEFINITION__DOCUMENTATION

          static final int PACKAGE_DEFINITION__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### PACKAGE_DEFINITION__NAME

          static final int PACKAGE_DEFINITION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### PACKAGE_DEFINITION__STATEMENTS

          static final int PACKAGE_DEFINITION__STATEMENTS

      The feature id for the 'Statements' containment reference list.
      See Also:
        Constant Field Values

    - #### PACKAGE_DEFINITION_FEATURE_COUNT

          static final int PACKAGE_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Package Definition' class.
      See Also:
        Constant Field Values

    - #### PACKAGE_STATEMENT

          static final int PACKAGE_STATEMENT

      The meta object id for the '`Package Statement`' class.
      See Also:
        `PackageStatementImpl`, `DslPackageImpl.getPackageStatement()`, Constant Field Values

    - #### PACKAGE_STATEMENT_FEATURE_COUNT

          static final int PACKAGE_STATEMENT_FEATURE_COUNT

      The number of structural features of the 'Package Statement' class.
      See Also:
        Constant Field Values

    - #### IMPORT

          static final int IMPORT

      The meta object id for the '`Import`' class.
      See Also:
        `ImportImpl`, `DslPackageImpl.getImport()`, Constant Field Values

    - #### IMPORT__IMPORTED_NAMESPACE

          static final int IMPORT__IMPORTED_NAMESPACE

      The feature id for the 'Imported Namespace' attribute.
      See Also:
        Constant Field Values

    - #### IMPORT_FEATURE_COUNT

          static final int IMPORT_FEATURE_COUNT

      The number of structural features of the 'Import' class.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION

          static final int FORK_DEFINITION

      The meta object id for the '`Fork Definition`' class.
      See Also:
        `ForkDefinitionImpl`, `DslPackageImpl.getForkDefinition()`, Constant Field Values

    - #### FORK_DEFINITION__DOCUMENTATION

          static final int FORK_DEFINITION__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION__NAME

          static final int FORK_DEFINITION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION__PRIVATE

          static final int FORK_DEFINITION__PRIVATE

      The feature id for the 'Private' attribute.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION__DESCRIPTION

          static final int FORK_DEFINITION__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION__FORKER_CLASS

          static final int FORK_DEFINITION__FORKER_CLASS

      The feature id for the 'Forker Class' containment reference.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION__BASE_FORK

          static final int FORK_DEFINITION__BASE_FORK

      The feature id for the 'Base Fork' reference.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION__PARAMETERS

          static final int FORK_DEFINITION__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### FORK_DEFINITION_FEATURE_COUNT

          static final int FORK_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Fork Definition' class.
      See Also:
        Constant Field Values

    - #### FORK_PARAMETER

          static final int FORK_PARAMETER

      The meta object id for the '`Fork Parameter`' class.
      See Also:
        `ForkParameterImpl`, `DslPackageImpl.getForkParameter()`, Constant Field Values

    - #### FORK_PARAMETER__NAME

          static final int FORK_PARAMETER__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### FORK_PARAMETER__VALUE

          static final int FORK_PARAMETER__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### FORK_PARAMETER_FEATURE_COUNT

          static final int FORK_PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Fork Parameter' class.
      See Also:
        Constant Field Values

    - #### VARIANT_DEFINITION

          static final int VARIANT_DEFINITION

      The meta object id for the '`Variant Definition`' class.
      See Also:
        `VariantDefinitionImpl`, `DslPackageImpl.getVariantDefinition()`, Constant Field Values

    - #### VARIANT_DEFINITION__DOCUMENTATION

          static final int VARIANT_DEFINITION__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### VARIANT_DEFINITION__NAME

          static final int VARIANT_DEFINITION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### VARIANT_DEFINITION__DESCRIPTION

          static final int VARIANT_DEFINITION__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values

    - #### VARIANT_DEFINITION_FEATURE_COUNT

          static final int VARIANT_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Variant Definition' class.
      See Also:
        Constant Field Values

    - #### TEST_DEFINITION

          static final int TEST_DEFINITION

      The meta object id for the '`Test Definition`' class.
      See Also:
        `TestDefinitionImpl`, `DslPackageImpl.getTestDefinition()`, Constant Field Values

    - #### TEST_DEFINITION__DOCUMENTATION

          static final int TEST_DEFINITION__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_DEFINITION__NAME

          static final int TEST_DEFINITION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_DEFINITION__FIXTURE_METHOD

          static final int TEST_DEFINITION__FIXTURE_METHOD

      The feature id for the 'Fixture Method' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_DEFINITION_FEATURE_COUNT

          static final int TEST_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Test Definition' class.
      See Also:
        Constant Field Values

    - #### CALL_DEFINITION

          static final int CALL_DEFINITION

      The meta object id for the '`Call Definition`' class.
      See Also:
        `CallDefinitionImpl`, `DslPackageImpl.getCallDefinition()`, Constant Field Values

    - #### CALL_DEFINITION__DOCUMENTATION

          static final int CALL_DEFINITION__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### CALL_DEFINITION__NAME

          static final int CALL_DEFINITION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### CALL_DEFINITION__FIXTURE_METHOD

          static final int CALL_DEFINITION__FIXTURE_METHOD

      The feature id for the 'Fixture Method' containment reference.
      See Also:
        Constant Field Values

    - #### CALL_DEFINITION_FEATURE_COUNT

          static final int CALL_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Call Definition' class.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION

          static final int SUITE_DEFINITION

      The meta object id for the '`Suite Definition`' class.
      See Also:
        `SuiteDefinitionImpl`, `DslPackageImpl.getSuiteDefinition()`, Constant Field Values

    - #### SUITE_DEFINITION__DOCUMENTATION

          static final int SUITE_DEFINITION__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__PRIVATE

          static final int SUITE_DEFINITION__PRIVATE

      The feature id for the 'Private' attribute.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__SINGLE_RUN

          static final int SUITE_DEFINITION__SINGLE_RUN

      The feature id for the 'Single Run' attribute.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__INLINED

          static final int SUITE_DEFINITION__INLINED

      The feature id for the 'Inlined' attribute.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__NAME

          static final int SUITE_DEFINITION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__PARAMETERS

          static final int SUITE_DEFINITION__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__RETURN

          static final int SUITE_DEFINITION__RETURN

      The feature id for the 'Return' containment reference list.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__DEPENDENCIES

          static final int SUITE_DEFINITION__DEPENDENCIES

      The feature id for the 'Dependencies' reference list.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__FINALIZERS

          static final int SUITE_DEFINITION__FINALIZERS

      The feature id for the 'Finalizers' reference list.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION__STATEMENTS

          static final int SUITE_DEFINITION__STATEMENTS

      The feature id for the 'Statements' containment reference list.
      See Also:
        Constant Field Values

    - #### SUITE_DEFINITION_FEATURE_COUNT

          static final int SUITE_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Suite Definition' class.
      See Also:
        Constant Field Values

    - #### SUITE_PARAMETER_DEFINITION

          static final int SUITE_PARAMETER_DEFINITION

      The meta object id for the '`Suite Parameter Definition`' class.
      See Also:
        `SuiteParameterDefinitionImpl`, `DslPackageImpl.getSuiteParameterDefinition()`, Constant Field Values

    - #### SUITE_PARAMETER_DEFINITION__NAME

          static final int SUITE_PARAMETER_DEFINITION__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### SUITE_PARAMETER_DEFINITION__DEFAULT

          static final int SUITE_PARAMETER_DEFINITION__DEFAULT

      The feature id for the 'Default' containment reference.
      See Also:
        Constant Field Values

    - #### SUITE_PARAMETER_DEFINITION_FEATURE_COUNT

          static final int SUITE_PARAMETER_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Suite Parameter Definition' class.
      See Also:
        Constant Field Values

    - #### SUITE_RETURN_DEFINITION

          static final int SUITE_RETURN_DEFINITION

      The meta object id for the '`Suite Return Definition`' class.
      See Also:
        `SuiteReturnDefinitionImpl`, `DslPackageImpl.getSuiteReturnDefinition()`, Constant Field Values

    - #### SUITE_RETURN_DEFINITION__NAME

          static final int SUITE_RETURN_DEFINITION__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### SUITE_RETURN_DEFINITION_FEATURE_COUNT

          static final int SUITE_RETURN_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Suite Return Definition' class.
      See Also:
        Constant Field Values

    - #### OPERATION_DEFINITION

          static final int OPERATION_DEFINITION

      The meta object id for the '`Operation Definition`' class.
      See Also:
        `OperationDefinitionImpl`, `DslPackageImpl.getOperationDefinition()`, Constant Field Values

    - #### OPERATION_DEFINITION__NAME

          static final int OPERATION_DEFINITION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### OPERATION_DEFINITION__OPERATION_TYPE

          static final int OPERATION_DEFINITION__OPERATION_TYPE

      The feature id for the 'Operation Type' containment reference.
      See Also:
        Constant Field Values

    - #### OPERATION_DEFINITION_FEATURE_COUNT

          static final int OPERATION_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Operation Definition' class.
      See Also:
        Constant Field Values

    - #### SUITE_STATEMENT_WITH_RESULT

          static final int SUITE_STATEMENT_WITH_RESULT

      The meta object id for the '`Suite Statement With Result`' class.
      See Also:
        `SuiteStatementWithResultImpl`, `DslPackageImpl.getSuiteStatementWithResult()`, Constant Field Values

    - #### SUITE_STATEMENT_WITH_RESULT_FEATURE_COUNT

          static final int SUITE_STATEMENT_WITH_RESULT_FEATURE_COUNT

      The number of structural features of the 'Suite Statement With Result' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_DEFINITION

          static final int VARIABLE_DEFINITION

      The meta object id for the '`Variable Definition`' class.
      See Also:
        `VariableDefinitionImpl`, `DslPackageImpl.getVariableDefinition()`, Constant Field Values

    - #### VARIABLE_DEFINITION__PRIVATE

          static final int VARIABLE_DEFINITION__PRIVATE

      The feature id for the 'Private' attribute.
      See Also:
        Constant Field Values

    - #### VARIABLE_DEFINITION__NAME

          static final int VARIABLE_DEFINITION__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### VARIABLE_DEFINITION__INITIAL_VALUE

          static final int VARIABLE_DEFINITION__INITIAL_VALUE

      The feature id for the 'Initial Value' containment reference.
      See Also:
        Constant Field Values

    - #### VARIABLE_DEFINITION_FEATURE_COUNT

          static final int VARIABLE_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Variable Definition' class.
      See Also:
        Constant Field Values

    - #### CONSTANT_DEFINITION

          static final int CONSTANT_DEFINITION

      The meta object id for the '`Constant Definition`' class.
      See Also:
        `ConstantDefinitionImpl`, `DslPackageImpl.getConstantDefinition()`, Constant Field Values

    - #### CONSTANT_DEFINITION__DOCUMENTATION

          static final int CONSTANT_DEFINITION__DOCUMENTATION

      The feature id for the 'Documentation' containment reference.
      See Also:
        Constant Field Values

    - #### CONSTANT_DEFINITION__PRIVATE

          static final int CONSTANT_DEFINITION__PRIVATE

      The feature id for the 'Private' attribute.
      See Also:
        Constant Field Values

    - #### CONSTANT_DEFINITION__NAME

          static final int CONSTANT_DEFINITION__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### CONSTANT_DEFINITION__VALUE

          static final int CONSTANT_DEFINITION__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### CONSTANT_DEFINITION__VARIANT_VALUES

          static final int CONSTANT_DEFINITION__VARIANT_VALUES

      The feature id for the 'Variant Values' containment reference list.
      See Also:
        Constant Field Values

    - #### CONSTANT_DEFINITION__PARAMETERIZED

          static final int CONSTANT_DEFINITION__PARAMETERIZED

      The feature id for the 'Parameterized' attribute.
      See Also:
        Constant Field Values

    - #### CONSTANT_DEFINITION_FEATURE_COUNT

          static final int CONSTANT_DEFINITION_FEATURE_COUNT

      The number of structural features of the 'Constant Definition' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_ASSIGNMENT

          static final int VARIABLE_ASSIGNMENT

      The meta object id for the '`Variable Assignment`' class.
      See Also:
        `VariableAssignmentImpl`, `DslPackageImpl.getVariableAssignment()`, Constant Field Values

    - #### VARIABLE_ASSIGNMENT__VALUE

          static final int VARIABLE_ASSIGNMENT__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### VARIABLE_ASSIGNMENT__TARGET

          static final int VARIABLE_ASSIGNMENT__TARGET

      The feature id for the 'Target' containment reference.
      See Also:
        Constant Field Values

    - #### VARIABLE_ASSIGNMENT_FEATURE_COUNT

          static final int VARIABLE_ASSIGNMENT_FEATURE_COUNT

      The number of structural features of the 'Variable Assignment' class.
      See Also:
        Constant Field Values

    - #### VARIANT_VALUE

          static final int VARIANT_VALUE

      The meta object id for the '`Variant Value`' class.
      See Also:
        `VariantValueImpl`, `DslPackageImpl.getVariantValue()`, Constant Field Values

    - #### VARIANT_VALUE__NAMES

          static final int VARIANT_VALUE__NAMES

      The feature id for the 'Names' reference list.
      See Also:
        Constant Field Values

    - #### VARIANT_VALUE__VALUE

          static final int VARIANT_VALUE__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### VARIANT_VALUE_FEATURE_COUNT

          static final int VARIANT_VALUE_FEATURE_COUNT

      The number of structural features of the 'Variant Value' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_OR_CONSTANT_ENTITY

          static final int VARIABLE_OR_CONSTANT_ENTITY

      The meta object id for the '`Variable Or Constant Entity`' class.
      See Also:
        `VariableOrConstantEntityImpl`, `DslPackageImpl.getVariableOrConstantEntity()`, Constant Field Values

    - #### VARIABLE_OR_CONSTANT_ENTITY__NAME

          static final int VARIABLE_OR_CONSTANT_ENTITY__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### VARIABLE_OR_CONSTANT_ENTITY_FEATURE_COUNT

          static final int VARIABLE_OR_CONSTANT_ENTITY_FEATURE_COUNT

      The number of structural features of the 'Variable Or Constant Entity' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_ENTITY

          static final int VARIABLE_ENTITY

      The meta object id for the '`Variable Entity`' class.
      See Also:
        `VariableEntityImpl`, `DslPackageImpl.getVariableEntity()`, Constant Field Values

    - #### VARIABLE_ENTITY__NAME

          static final int VARIABLE_ENTITY__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### VARIABLE_ENTITY_FEATURE_COUNT

          static final int VARIABLE_ENTITY_FEATURE_COUNT

      The number of structural features of the 'Variable Entity' class.
      See Also:
        Constant Field Values

    - #### CONSTANT_ENTITY

          static final int CONSTANT_ENTITY

      The meta object id for the '`Constant Entity`' class.
      See Also:
        `ConstantEntityImpl`, `DslPackageImpl.getConstantEntity()`, Constant Field Values

    - #### CONSTANT_ENTITY__NAME

          static final int CONSTANT_ENTITY__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### CONSTANT_ENTITY_FEATURE_COUNT

          static final int CONSTANT_ENTITY_FEATURE_COUNT

      The number of structural features of the 'Constant Entity' class.
      See Also:
        Constant Field Values

    - #### TEST

          static final int TEST

      The meta object id for the '`Test`' class.
      See Also:
        `TestImpl`, `DslPackageImpl.getTest()`, Constant Field Values

    - #### TEST__CHECKPOINT

          static final int TEST__CHECKPOINT

      The feature id for the 'Checkpoint' attribute.
      See Also:
        Constant Field Values

    - #### TEST__DEFINITION

          static final int TEST__DEFINITION

      The feature id for the 'Definition' reference.
      See Also:
        Constant Field Values

    - #### TEST__PARAMETERS

          static final int TEST__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST__RESULTS

          static final int TEST__RESULTS

      The feature id for the 'Results' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST__RESULT

          static final int TEST__RESULT

      The feature id for the 'Result' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_FEATURE_COUNT

          static final int TEST_FEATURE_COUNT

      The number of structural features of the 'Test' class.
      See Also:
        Constant Field Values

    - #### TABLE_TEST

          static final int TABLE_TEST

      The meta object id for the '`Table Test`' class.
      See Also:
        `TableTestImpl`, `DslPackageImpl.getTableTest()`, Constant Field Values

    - #### TABLE_TEST__DEFINITION

          static final int TABLE_TEST__DEFINITION

      The feature id for the 'Definition' reference.
      See Also:
        Constant Field Values

    - #### TABLE_TEST__PARAMETERS

          static final int TABLE_TEST__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_TEST__PARAMETER_HEADERS

          static final int TABLE_TEST__PARAMETER_HEADERS

      The feature id for the 'Parameter Headers' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_TEST__RESULT_HEADERS

          static final int TABLE_TEST__RESULT_HEADERS

      The feature id for the 'Result Headers' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_TEST__DEFAULT_RESULT_COLUMN

          static final int TABLE_TEST__DEFAULT_RESULT_COLUMN

      The feature id for the 'Default Result Column' attribute.
      See Also:
        Constant Field Values

    - #### TABLE_TEST__ROWS

          static final int TABLE_TEST__ROWS

      The feature id for the 'Rows' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_TEST_FEATURE_COUNT

          static final int TABLE_TEST_FEATURE_COUNT

      The number of structural features of the 'Table Test' class.
      See Also:
        Constant Field Values

    - #### TABLE_TEST_ROW

          static final int TABLE_TEST_ROW

      The meta object id for the '`Table Test Row`' class.
      See Also:
        `TableTestRowImpl`, `DslPackageImpl.getTableTestRow()`, Constant Field Values

    - #### TABLE_TEST_ROW__VALUES

          static final int TABLE_TEST_ROW__VALUES

      The feature id for the 'Values' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_TEST_ROW_FEATURE_COUNT

          static final int TABLE_TEST_ROW_FEATURE_COUNT

      The number of structural features of the 'Table Test Row' class.
      See Also:
        Constant Field Values

    - #### PARAMETER_TABLE_HEADER

          static final int PARAMETER_TABLE_HEADER

      The meta object id for the '`Parameter Table Header`' class.
      See Also:
        `ParameterTableHeaderImpl`, `DslPackageImpl.getParameterTableHeader()`, Constant Field Values

    - #### PARAMETER_TABLE_HEADER__NAME

          static final int PARAMETER_TABLE_HEADER__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### PARAMETER_TABLE_HEADER_FEATURE_COUNT

          static final int PARAMETER_TABLE_HEADER_FEATURE_COUNT

      The number of structural features of the 'Parameter Table Header' class.
      See Also:
        Constant Field Values

    - #### RESULT_TABLE_HEADER

          static final int RESULT_TABLE_HEADER

      The meta object id for the '`Result Table Header`' class.
      See Also:
        `ResultTableHeaderImpl`, `DslPackageImpl.getResultTableHeader()`, Constant Field Values

    - #### RESULT_TABLE_HEADER__NAME

          static final int RESULT_TABLE_HEADER__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### RESULT_TABLE_HEADER_FEATURE_COUNT

          static final int RESULT_TABLE_HEADER_FEATURE_COUNT

      The number of structural features of the 'Result Table Header' class.
      See Also:
        Constant Field Values

    - #### PARAMETER_TABLE_VALUE

          static final int PARAMETER_TABLE_VALUE

      The meta object id for the '`Parameter Table Value`' class.
      See Also:
        `ParameterTableValueImpl`, `DslPackageImpl.getParameterTableValue()`, Constant Field Values

    - #### PARAMETER_TABLE_VALUE__VALUE

          static final int PARAMETER_TABLE_VALUE__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### PARAMETER_TABLE_VALUE_FEATURE_COUNT

          static final int PARAMETER_TABLE_VALUE_FEATURE_COUNT

      The number of structural features of the 'Parameter Table Value' class.
      See Also:
        Constant Field Values

    - #### NAMED_RESULT

          static final int NAMED_RESULT

      The meta object id for the '`Named Result`' class.
      See Also:
        `NamedResultImpl`, `DslPackageImpl.getNamedResult()`, Constant Field Values

    - #### NAMED_RESULT__NAME

          static final int NAMED_RESULT__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### NAMED_RESULT__VALUE

          static final int NAMED_RESULT__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### NAMED_RESULT_FEATURE_COUNT

          static final int NAMED_RESULT_FEATURE_COUNT

      The number of structural features of the 'Named Result' class.
      See Also:
        Constant Field Values

    - #### RESULT_NAME

          static final int RESULT_NAME

      The meta object id for the '`Result Name`' class.
      See Also:
        `ResultNameImpl`, `DslPackageImpl.getResultName()`, Constant Field Values

    - #### RESULT_NAME_FEATURE_COUNT

          static final int RESULT_NAME_FEATURE_COUNT

      The number of structural features of the 'Result Name' class.
      See Also:
        Constant Field Values

    - #### FIXED_RESULT_NAME

          static final int FIXED_RESULT_NAME

      The meta object id for the '`Fixed Result Name`' class.
      See Also:
        `FixedResultNameImpl`, `DslPackageImpl.getFixedResultName()`, Constant Field Values

    - #### FIXED_RESULT_NAME__FIELD

          static final int FIXED_RESULT_NAME__FIELD

      The feature id for the 'Field' reference.
      See Also:
        Constant Field Values

    - #### FIXED_RESULT_NAME_FEATURE_COUNT

          static final int FIXED_RESULT_NAME_FEATURE_COUNT

      The number of structural features of the 'Fixed Result Name' class.
      See Also:
        Constant Field Values

    - #### CALL

          static final int CALL

      The meta object id for the '`Call`' class.
      See Also:
        `CallImpl`, `DslPackageImpl.getCall()`, Constant Field Values

    - #### CALL__MULTIPLIER

          static final int CALL__MULTIPLIER

      The feature id for the 'Multiplier' containment reference.
      See Also:
        Constant Field Values

    - #### CALL__DEFINITION

          static final int CALL__DEFINITION

      The feature id for the 'Definition' reference.
      See Also:
        Constant Field Values

    - #### CALL__PARAMETERS

          static final int CALL__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### CALL__RESULTS

          static final int CALL__RESULTS

      The feature id for the 'Results' containment reference list.
      See Also:
        Constant Field Values

    - #### CALL__RESULT

          static final int CALL__RESULT

      The feature id for the 'Result' containment reference.
      See Also:
        Constant Field Values

    - #### CALL_FEATURE_COUNT

          static final int CALL_FEATURE_COUNT

      The number of structural features of the 'Call' class.
      See Also:
        Constant Field Values

    - #### NAMED_CALL_RESULT

          static final int NAMED_CALL_RESULT

      The meta object id for the '`Named Call Result`' class.
      See Also:
        `NamedCallResultImpl`, `DslPackageImpl.getNamedCallResult()`, Constant Field Values

    - #### NAMED_CALL_RESULT__NAME

          static final int NAMED_CALL_RESULT__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### NAMED_CALL_RESULT__TARGET

          static final int NAMED_CALL_RESULT__TARGET

      The feature id for the 'Target' containment reference.
      See Also:
        Constant Field Values

    - #### NAMED_CALL_RESULT_FEATURE_COUNT

          static final int NAMED_CALL_RESULT_FEATURE_COUNT

      The number of structural features of the 'Named Call Result' class.
      See Also:
        Constant Field Values

    - #### TIME_SET

          static final int TIME_SET

      The meta object id for the '`Time Set`' class.
      See Also:
        `TimeSetImpl`, `DslPackageImpl.getTimeSet()`, Constant Field Values

    - #### TIME_SET__LIVE

          static final int TIME_SET__LIVE

      The feature id for the 'Live' attribute.
      See Also:
        Constant Field Values

    - #### TIME_SET__START_TIME

          static final int TIME_SET__START_TIME

      The feature id for the 'Start Time' containment reference.
      See Also:
        Constant Field Values

    - #### TIME_SET__DIFF_TIME

          static final int TIME_SET__DIFF_TIME

      The feature id for the 'Diff Time' containment reference.
      See Also:
        Constant Field Values

    - #### TIME_SET__PROGRESSION_MODE

          static final int TIME_SET__PROGRESSION_MODE

      The feature id for the 'Progression Mode' attribute.
      See Also:
        Constant Field Values

    - #### TIME_SET__PROGRESSION_FACTOR

          static final int TIME_SET__PROGRESSION_FACTOR

      The feature id for the 'Progression Factor' containment reference.
      See Also:
        Constant Field Values

    - #### TIME_SET__FORKS

          static final int TIME_SET__FORKS

      The feature id for the 'Forks' reference list.
      See Also:
        Constant Field Values

    - #### TIME_SET__MASTER_FORK

          static final int TIME_SET__MASTER_FORK

      The feature id for the 'Master Fork' attribute.
      See Also:
        Constant Field Values

    - #### TIME_SET_FEATURE_COUNT

          static final int TIME_SET_FEATURE_COUNT

      The number of structural features of the 'Time Set' class.
      See Also:
        Constant Field Values

    - #### TIME_PROGRESSION_FACTOR

          static final int TIME_PROGRESSION_FACTOR

      The meta object id for the '`Time Progression Factor`' class.
      See Also:
        `TimeProgressionFactorImpl`, `DslPackageImpl.getTimeProgressionFactor()`, Constant Field Values

    - #### TIME_PROGRESSION_FACTOR__FIXED_VALUE

          static final int TIME_PROGRESSION_FACTOR__FIXED_VALUE

      The feature id for the 'Fixed Value' attribute.
      See Also:
        Constant Field Values

    - #### TIME_PROGRESSION_FACTOR__CALCULATED_VALUE

          static final int TIME_PROGRESSION_FACTOR__CALCULATED_VALUE

      The feature id for the 'Calculated Value' containment reference.
      See Also:
        Constant Field Values

    - #### TIME_PROGRESSION_FACTOR_FEATURE_COUNT

          static final int TIME_PROGRESSION_FACTOR_FEATURE_COUNT

      The number of structural features of the 'Time Progression Factor' class.
      See Also:
        Constant Field Values

    - #### TIME_DIFFERENCE

          static final int TIME_DIFFERENCE

      The meta object id for the '`Time Difference`' class.
      See Also:
        `TimeDifferenceImpl`, `DslPackageImpl.getTimeDifference()`, Constant Field Values

    - #### TIME_DIFFERENCE__DIRECTION

          static final int TIME_DIFFERENCE__DIRECTION

      The feature id for the 'Direction' attribute.
      See Also:
        Constant Field Values

    - #### TIME_DIFFERENCE__FIXED_VALUES

          static final int TIME_DIFFERENCE__FIXED_VALUES

      The feature id for the 'Fixed Values' attribute list.
      See Also:
        Constant Field Values

    - #### TIME_DIFFERENCE__CALCULATED_VALUE

          static final int TIME_DIFFERENCE__CALCULATED_VALUE

      The feature id for the 'Calculated Value' containment reference.
      See Also:
        Constant Field Values

    - #### TIME_DIFFERENCE_FEATURE_COUNT

          static final int TIME_DIFFERENCE_FEATURE_COUNT

      The number of structural features of the 'Time Difference' class.
      See Also:
        Constant Field Values

    - #### SUITE

          static final int SUITE

      The meta object id for the '`Suite`' class.
      See Also:
        `SuiteImpl`, `DslPackageImpl.getSuite()`, Constant Field Values

    - #### SUITE__INLINED

          static final int SUITE__INLINED

      The feature id for the 'Inlined' attribute.
      See Also:
        Constant Field Values

    - #### SUITE__MULTIPLIER

          static final int SUITE__MULTIPLIER

      The feature id for the 'Multiplier' containment reference.
      See Also:
        Constant Field Values

    - #### SUITE__DEFINITION

          static final int SUITE__DEFINITION

      The feature id for the 'Definition' reference.
      See Also:
        Constant Field Values

    - #### SUITE__PARAMETERS

          static final int SUITE__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values

    - #### SUITE__RETURN

          static final int SUITE__RETURN

      The feature id for the 'Return' containment reference list.
      See Also:
        Constant Field Values

    - #### SUITE__FORK

          static final int SUITE__FORK

      The feature id for the 'Fork' reference.
      See Also:
        Constant Field Values

    - #### SUITE__VARIANTS

          static final int SUITE__VARIANTS

      The feature id for the 'Variants' reference list.
      See Also:
        Constant Field Values

    - #### SUITE_FEATURE_COUNT

          static final int SUITE_FEATURE_COUNT

      The number of structural features of the 'Suite' class.
      See Also:
        Constant Field Values

    - #### SUITE_PARAMETER

          static final int SUITE_PARAMETER

      The meta object id for the '`Suite Parameter`' class.
      See Also:
        `SuiteParameterImpl`, `DslPackageImpl.getSuiteParameter()`, Constant Field Values

    - #### SUITE_PARAMETER__NAME

          static final int SUITE_PARAMETER__NAME

      The feature id for the 'Name' reference.
      See Also:
        Constant Field Values

    - #### SUITE_PARAMETER__VALUE

          static final int SUITE_PARAMETER__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### SUITE_PARAMETER_FEATURE_COUNT

          static final int SUITE_PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Suite Parameter' class.
      See Also:
        Constant Field Values

    - #### SUITE_RETURN

          static final int SUITE_RETURN

      The meta object id for the '`Suite Return`' class.
      See Also:
        `SuiteReturnImpl`, `DslPackageImpl.getSuiteReturn()`, Constant Field Values

    - #### SUITE_RETURN__NAME

          static final int SUITE_RETURN__NAME

      The feature id for the 'Name' reference.
      See Also:
        Constant Field Values

    - #### SUITE_RETURN__TARGET

          static final int SUITE_RETURN__TARGET

      The feature id for the 'Target' containment reference.
      See Also:
        Constant Field Values

    - #### SUITE_RETURN_FEATURE_COUNT

          static final int SUITE_RETURN_FEATURE_COUNT

      The number of structural features of the 'Suite Return' class.
      See Also:
        Constant Field Values

    - #### PARAMETER

          static final int PARAMETER

      The meta object id for the '`Parameter`' class.
      See Also:
        `ParameterImpl`, `DslPackageImpl.getParameter()`, Constant Field Values

    - #### PARAMETER__NAME

          static final int PARAMETER__NAME

      The feature id for the 'Name' containment reference.
      See Also:
        Constant Field Values

    - #### PARAMETER__VALUE

          static final int PARAMETER__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### PARAMETER_FEATURE_COUNT

          static final int PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Parameter' class.
      See Also:
        Constant Field Values

    - #### PARAMETER_NAME

          static final int PARAMETER_NAME

      The meta object id for the '`Parameter Name`' class.
      See Also:
        `ParameterNameImpl`, `DslPackageImpl.getParameterName()`, Constant Field Values

    - #### PARAMETER_NAME_FEATURE_COUNT

          static final int PARAMETER_NAME_FEATURE_COUNT

      The number of structural features of the 'Parameter Name' class.
      See Also:
        Constant Field Values

    - #### FIXED_PARAMETER_NAME

          static final int FIXED_PARAMETER_NAME

      The meta object id for the '`Fixed Parameter Name`' class.
      See Also:
        `FixedParameterNameImpl`, `DslPackageImpl.getFixedParameterName()`, Constant Field Values

    - #### FIXED_PARAMETER_NAME__ANNOTATION

          static final int FIXED_PARAMETER_NAME__ANNOTATION

      The feature id for the 'Annotation' reference.
      See Also:
        Constant Field Values

    - #### FIXED_PARAMETER_NAME_FEATURE_COUNT

          static final int FIXED_PARAMETER_NAME_FEATURE_COUNT

      The number of structural features of the 'Fixed Parameter Name' class.
      See Also:
        Constant Field Values

    - #### ARBITRARY_PARAMETER_OR_RESULT_NAME

          static final int ARBITRARY_PARAMETER_OR_RESULT_NAME

      The meta object id for the '`Arbitrary Parameter Or Result Name`' class.
      See Also:
        `ArbitraryParameterOrResultNameImpl`, `DslPackageImpl.getArbitraryParameterOrResultName()`, Constant Field Values

    - #### ARBITRARY_PARAMETER_OR_RESULT_NAME__IDENTIFIER

          static final int ARBITRARY_PARAMETER_OR_RESULT_NAME__IDENTIFIER

      The feature id for the 'Identifier' attribute.
      See Also:
        Constant Field Values

    - #### ARBITRARY_PARAMETER_OR_RESULT_NAME__STRING_IDENTIFIER

          static final int ARBITRARY_PARAMETER_OR_RESULT_NAME__STRING_IDENTIFIER

      The feature id for the 'String Identifier' attribute.
      See Also:
        Constant Field Values

    - #### ARBITRARY_PARAMETER_OR_RESULT_NAME_FEATURE_COUNT

          static final int ARBITRARY_PARAMETER_OR_RESULT_NAME_FEATURE_COUNT

      The number of structural features of the 'Arbitrary Parameter Or Result Name' class.
      See Also:
        Constant Field Values

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION

          static final int VALUE_OR_ENUM_VALUE_OR_OPERATION

      The meta object id for the '`Value Or Enum Value Or Operation`' class.
      See Also:
        `ValueOrEnumValueOrOperationImpl`, `DslPackageImpl.getValueOrEnumValueOrOperation()`, Constant Field Values

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_FEATURE_COUNT

          static final int VALUE_OR_ENUM_VALUE_OR_OPERATION_FEATURE_COUNT

      The number of structural features of the 'Value Or Enum Value Or Operation' class.
      See Also:
        Constant Field Values

    - #### OPERATION

          static final int OPERATION

      The meta object id for the '`Operation`' class.
      See Also:
        `OperationImpl`, `DslPackageImpl.getOperation()`, Constant Field Values

    - #### OPERATION_FEATURE_COUNT

          static final int OPERATION_FEATURE_COUNT

      The number of structural features of the 'Operation' class.
      See Also:
        Constant Field Values

    - #### STANDARD_OPERATION

          static final int STANDARD_OPERATION

      The meta object id for the '`Standard Operation`' class.
      See Also:
        `StandardOperationImpl`, `DslPackageImpl.getStandardOperation()`, Constant Field Values

    - #### STANDARD_OPERATION__FIRST_OPERAND

          static final int STANDARD_OPERATION__FIRST_OPERAND

      The feature id for the 'First Operand' containment reference.
      See Also:
        Constant Field Values

    - #### STANDARD_OPERATION__OPERATORS

          static final int STANDARD_OPERATION__OPERATORS

      The feature id for the 'Operators' attribute list.
      See Also:
        Constant Field Values

    - #### STANDARD_OPERATION__MORE_OPERANDS

          static final int STANDARD_OPERATION__MORE_OPERANDS

      The feature id for the 'More Operands' containment reference list.
      See Also:
        Constant Field Values

    - #### STANDARD_OPERATION_FEATURE_COUNT

          static final int STANDARD_OPERATION_FEATURE_COUNT

      The number of structural features of the 'Standard Operation' class.
      See Also:
        Constant Field Values

    - #### CUSTOM_OPERATION

          static final int CUSTOM_OPERATION

      The meta object id for the '`Custom Operation`' class.
      See Also:
        `CustomOperationImpl`, `DslPackageImpl.getCustomOperation()`, Constant Field Values

    - #### CUSTOM_OPERATION__PREFIX_OPERAND

          static final int CUSTOM_OPERATION__PREFIX_OPERAND

      The feature id for the 'Prefix Operand' containment reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_OPERATION__DEFINITION

          static final int CUSTOM_OPERATION__DEFINITION

      The feature id for the 'Definition' reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_OPERATION__POSTFIX_OPERAND

          static final int CUSTOM_OPERATION__POSTFIX_OPERAND

      The feature id for the 'Postfix Operand' containment reference.
      See Also:
        Constant Field Values

    - #### CUSTOM_OPERATION_FEATURE_COUNT

          static final int CUSTOM_OPERATION_FEATURE_COUNT

      The number of structural features of the 'Custom Operation' class.
      See Also:
        Constant Field Values

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION

          static final int VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION

      The meta object id for the '`Value Or Enum Value Or Operation Collection`' class.
      See Also:
        `ValueOrEnumValueOrOperationCollectionImpl`, `DslPackageImpl.getValueOrEnumValueOrOperationCollection()`, Constant Field Values

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__VALUE

          static final int VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__MORE_VALUES

          static final int VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__MORE_VALUES

      The feature id for the 'More Values' containment reference list.
      See Also:
        Constant Field Values

    - #### VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION_FEATURE_COUNT

          static final int VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION_FEATURE_COUNT

      The number of structural features of the 'Value Or Enum Value Or Operation Collection' class.
      See Also:
        Constant Field Values

    - #### VALUE

          static final int VALUE

      The meta object id for the '`Value`' class.
      See Also:
        `ValueImpl`, `DslPackageImpl.getValue()`, Constant Field Values

    - #### VALUE_FEATURE_COUNT

          static final int VALUE_FEATURE_COUNT

      The number of structural features of the 'Value' class.
      See Also:
        Constant Field Values

    - #### CONSTANT_VALUE

          static final int CONSTANT_VALUE

      The meta object id for the '`Constant Value`' class.
      See Also:
        `ConstantValueImpl`, `DslPackageImpl.getConstantValue()`, Constant Field Values

    - #### CONSTANT_VALUE_FEATURE_COUNT

          static final int CONSTANT_VALUE_FEATURE_COUNT

      The number of structural features of the 'Constant Value' class.
      See Also:
        Constant Field Values

    - #### STATIC_VALUE

          static final int STATIC_VALUE

      The meta object id for the '`Static Value`' class.
      See Also:
        `StaticValueImpl`, `DslPackageImpl.getStaticValue()`, Constant Field Values

    - #### STATIC_VALUE_FEATURE_COUNT

          static final int STATIC_VALUE_FEATURE_COUNT

      The number of structural features of the 'Static Value' class.
      See Also:
        Constant Field Values

    - #### INTEGER_VALUE

          static final int INTEGER_VALUE

      The meta object id for the '`Integer Value`' class.
      See Also:
        `IntegerValueImpl`, `DslPackageImpl.getIntegerValue()`, Constant Field Values

    - #### INTEGER_VALUE__INTEGER_VALUE

          static final int INTEGER_VALUE__INTEGER_VALUE

      The feature id for the 'Integer Value' attribute.
      See Also:
        Constant Field Values

    - #### INTEGER_VALUE_FEATURE_COUNT

          static final int INTEGER_VALUE_FEATURE_COUNT

      The number of structural features of the 'Integer Value' class.
      See Also:
        Constant Field Values

    - #### DECIMAL_VALUE

          static final int DECIMAL_VALUE

      The meta object id for the '`Decimal Value`' class.
      See Also:
        `DecimalValueImpl`, `DslPackageImpl.getDecimalValue()`, Constant Field Values

    - #### DECIMAL_VALUE__DECIMAL_VALUE

          static final int DECIMAL_VALUE__DECIMAL_VALUE

      The feature id for the 'Decimal Value' attribute.
      See Also:
        Constant Field Values

    - #### DECIMAL_VALUE_FEATURE_COUNT

          static final int DECIMAL_VALUE_FEATURE_COUNT

      The number of structural features of the 'Decimal Value' class.
      See Also:
        Constant Field Values

    - #### STRING_VALUE

          static final int STRING_VALUE

      The meta object id for the '`String Value`' class.
      See Also:
        `StringValueImpl`, `DslPackageImpl.getStringValue()`, Constant Field Values

    - #### STRING_VALUE__STRING_VALUE

          static final int STRING_VALUE__STRING_VALUE

      The feature id for the 'String Value' attribute.
      See Also:
        Constant Field Values

    - #### STRING_VALUE_FEATURE_COUNT

          static final int STRING_VALUE_FEATURE_COUNT

      The number of structural features of the 'String Value' class.
      See Also:
        Constant Field Values

    - #### REGEX_VALUE

          static final int REGEX_VALUE

      The meta object id for the '`Regex Value`' class.
      See Also:
        `RegexValueImpl`, `DslPackageImpl.getRegexValue()`, Constant Field Values

    - #### REGEX_VALUE__REGEX_VALUE

          static final int REGEX_VALUE__REGEX_VALUE

      The feature id for the 'Regex Value' attribute.
      See Also:
        Constant Field Values

    - #### REGEX_VALUE_FEATURE_COUNT

          static final int REGEX_VALUE_FEATURE_COUNT

      The number of structural features of the 'Regex Value' class.
      See Also:
        Constant Field Values

    - #### BOOLEAN_VALUE

          static final int BOOLEAN_VALUE

      The meta object id for the '`Boolean Value`' class.
      See Also:
        `BooleanValueImpl`, `DslPackageImpl.getBooleanValue()`, Constant Field Values

    - #### BOOLEAN_VALUE__BOOLEAN_VALUE

          static final int BOOLEAN_VALUE__BOOLEAN_VALUE

      The feature id for the 'Boolean Value' attribute.
      See Also:
        Constant Field Values

    - #### BOOLEAN_VALUE_FEATURE_COUNT

          static final int BOOLEAN_VALUE_FEATURE_COUNT

      The number of structural features of the 'Boolean Value' class.
      See Also:
        Constant Field Values

    - #### DATE_VALUE

          static final int DATE_VALUE

      The meta object id for the '`Date Value`' class.
      See Also:
        `DateValueImpl`, `DslPackageImpl.getDateValue()`, Constant Field Values

    - #### DATE_VALUE__DATE_VALUE

          static final int DATE_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### DATE_VALUE_FEATURE_COUNT

          static final int DATE_VALUE_FEATURE_COUNT

      The number of structural features of the 'Date Value' class.
      See Also:
        Constant Field Values

    - #### ISO_DATE_VALUE

          static final int ISO_DATE_VALUE

      The meta object id for the '`Iso Date Value`' class.
      See Also:
        `IsoDateValueImpl`, `DslPackageImpl.getIsoDateValue()`, Constant Field Values

    - #### ISO_DATE_VALUE__DATE_VALUE

          static final int ISO_DATE_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### ISO_DATE_VALUE_FEATURE_COUNT

          static final int ISO_DATE_VALUE_FEATURE_COUNT

      The number of structural features of the 'Iso Date Value' class.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_VALUE

          static final int EUROPEAN_DATE_VALUE

      The meta object id for the '`European Date Value`' class.
      See Also:
        `EuropeanDateValueImpl`, `DslPackageImpl.getEuropeanDateValue()`, Constant Field Values

    - #### EUROPEAN_DATE_VALUE__DATE_VALUE

          static final int EUROPEAN_DATE_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_VALUE_FEATURE_COUNT

          static final int EUROPEAN_DATE_VALUE_FEATURE_COUNT

      The number of structural features of the 'European Date Value' class.
      See Also:
        Constant Field Values

    - #### US_DATE_VALUE

          static final int US_DATE_VALUE

      The meta object id for the '`US Date Value`' class.
      See Also:
        `USDateValueImpl`, `DslPackageImpl.getUSDateValue()`, Constant Field Values

    - #### US_DATE_VALUE__DATE_VALUE

          static final int US_DATE_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### US_DATE_VALUE_FEATURE_COUNT

          static final int US_DATE_VALUE_FEATURE_COUNT

      The number of structural features of the 'US Date Value' class.
      See Also:
        Constant Field Values

    - #### TIME_VALUE

          static final int TIME_VALUE

      The meta object id for the '`Time Value`' class.
      See Also:
        `TimeValueImpl`, `DslPackageImpl.getTimeValue()`, Constant Field Values

    - #### TIME_VALUE__TIME_VALUE

          static final int TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### TIME_VALUE_FEATURE_COUNT

          static final int TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'Time Value' class.
      See Also:
        Constant Field Values

    - #### ISO_TIME_VALUE

          static final int ISO_TIME_VALUE

      The meta object id for the '`Iso Time Value`' class.
      See Also:
        `IsoTimeValueImpl`, `DslPackageImpl.getIsoTimeValue()`, Constant Field Values

    - #### ISO_TIME_VALUE__TIME_VALUE

          static final int ISO_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### ISO_TIME_VALUE_FEATURE_COUNT

          static final int ISO_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'Iso Time Value' class.
      See Also:
        Constant Field Values

    - #### SIMPLE24_HRS_TIME_VALUE

          static final int SIMPLE24_HRS_TIME_VALUE

      The meta object id for the '`Simple24 Hrs Time Value`' class.
      See Also:
        `Simple24HrsTimeValueImpl`, `DslPackageImpl.getSimple24HrsTimeValue()`, Constant Field Values

    - #### SIMPLE24_HRS_TIME_VALUE__TIME_VALUE

          static final int SIMPLE24_HRS_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### SIMPLE24_HRS_TIME_VALUE_FEATURE_COUNT

          static final int SIMPLE24_HRS_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'Simple24 Hrs Time Value' class.
      See Also:
        Constant Field Values

    - #### SIMPLE12_HRS_TIME_VALUE

          static final int SIMPLE12_HRS_TIME_VALUE

      The meta object id for the '`Simple12 Hrs Time Value`' class.
      See Also:
        `Simple12HrsTimeValueImpl`, `DslPackageImpl.getSimple12HrsTimeValue()`, Constant Field Values

    - #### SIMPLE12_HRS_TIME_VALUE__TIME_VALUE

          static final int SIMPLE12_HRS_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### SIMPLE12_HRS_TIME_VALUE_FEATURE_COUNT

          static final int SIMPLE12_HRS_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'Simple12 Hrs Time Value' class.
      See Also:
        Constant Field Values

    - #### DATE_AND_TIME_VALUE

          static final int DATE_AND_TIME_VALUE

      The meta object id for the '`Date And Time Value`' class.
      See Also:
        `DateAndTimeValueImpl`, `DslPackageImpl.getDateAndTimeValue()`, Constant Field Values

    - #### DATE_AND_TIME_VALUE__DATE_VALUE

          static final int DATE_AND_TIME_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### DATE_AND_TIME_VALUE__TIME_VALUE

          static final int DATE_AND_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### DATE_AND_TIME_VALUE_FEATURE_COUNT

          static final int DATE_AND_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'Date And Time Value' class.
      See Also:
        Constant Field Values

    - #### ISO_DATE_AND_TIME_VALUE

          static final int ISO_DATE_AND_TIME_VALUE

      The meta object id for the '`Iso Date And Time Value`' class.
      See Also:
        `IsoDateAndTimeValueImpl`, `DslPackageImpl.getIsoDateAndTimeValue()`, Constant Field Values

    - #### ISO_DATE_AND_TIME_VALUE__DATE_VALUE

          static final int ISO_DATE_AND_TIME_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### ISO_DATE_AND_TIME_VALUE__TIME_VALUE

          static final int ISO_DATE_AND_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### ISO_DATE_AND_TIME_VALUE_FEATURE_COUNT

          static final int ISO_DATE_AND_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'Iso Date And Time Value' class.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_AND24_HRS_TIME_VALUE

          static final int EUROPEAN_DATE_AND24_HRS_TIME_VALUE

      The meta object id for the '`European Date And24 Hrs Time Value`' class.
      See Also:
        `EuropeanDateAnd24HrsTimeValueImpl`, `DslPackageImpl.getEuropeanDateAnd24HrsTimeValue()`, Constant Field Values

    - #### EUROPEAN_DATE_AND24_HRS_TIME_VALUE__DATE_VALUE

          static final int EUROPEAN_DATE_AND24_HRS_TIME_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_AND24_HRS_TIME_VALUE__TIME_VALUE

          static final int EUROPEAN_DATE_AND24_HRS_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_AND24_HRS_TIME_VALUE_FEATURE_COUNT

          static final int EUROPEAN_DATE_AND24_HRS_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'European Date And24 Hrs Time Value' class.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_AND12_HRS_TIME_VALUE

          static final int EUROPEAN_DATE_AND12_HRS_TIME_VALUE

      The meta object id for the '`European Date And12 Hrs Time Value`' class.
      See Also:
        `EuropeanDateAnd12HrsTimeValueImpl`, `DslPackageImpl.getEuropeanDateAnd12HrsTimeValue()`, Constant Field Values

    - #### EUROPEAN_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE

          static final int EUROPEAN_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE

          static final int EUROPEAN_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### EUROPEAN_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT

          static final int EUROPEAN_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'European Date And12 Hrs Time Value' class.
      See Also:
        Constant Field Values

    - #### US_DATE_AND12_HRS_TIME_VALUE

          static final int US_DATE_AND12_HRS_TIME_VALUE

      The meta object id for the '`US Date And12 Hrs Time Value`' class.
      See Also:
        `USDateAnd12HrsTimeValueImpl`, `DslPackageImpl.getUSDateAnd12HrsTimeValue()`, Constant Field Values

    - #### US_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE

          static final int US_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE

      The feature id for the 'Date Value' attribute.
      See Also:
        Constant Field Values

    - #### US_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE

          static final int US_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE

      The feature id for the 'Time Value' attribute.
      See Also:
        Constant Field Values

    - #### US_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT

          static final int US_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT

      The number of structural features of the 'US Date And12 Hrs Time Value' class.
      See Also:
        Constant Field Values

    - #### JAVA_CONSTANT_VALUE

          static final int JAVA_CONSTANT_VALUE

      The meta object id for the '`Java Constant Value`' class.
      See Also:
        `JavaConstantValueImpl`, `DslPackageImpl.getJavaConstantValue()`, Constant Field Values

    - #### JAVA_CONSTANT_VALUE__CONSTANT

          static final int JAVA_CONSTANT_VALUE__CONSTANT

      The feature id for the 'Constant' containment reference.
      See Also:
        Constant Field Values

    - #### JAVA_CONSTANT_VALUE_FEATURE_COUNT

          static final int JAVA_CONSTANT_VALUE_FEATURE_COUNT

      The number of structural features of the 'Java Constant Value' class.
      See Also:
        Constant Field Values

    - #### VARIABLE

          static final int VARIABLE

      The meta object id for the '`Variable`' class.
      See Also:
        `VariableImpl`, `DslPackageImpl.getVariable()`, Constant Field Values

    - #### VARIABLE__NAME

          static final int VARIABLE__NAME

      The feature id for the 'Name' reference.
      See Also:
        Constant Field Values

    - #### VARIABLE__ATTRIBUTE

          static final int VARIABLE__ATTRIBUTE

      The feature id for the 'Attribute' attribute.
      See Also:
        Constant Field Values

    - #### VARIABLE_FEATURE_COUNT

          static final int VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Variable' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_VARIABLE

          static final int VARIABLE_VARIABLE

      The meta object id for the '`Variable Variable`' class.
      See Also:
        `VariableVariableImpl`, `DslPackageImpl.getVariableVariable()`, Constant Field Values

    - #### VARIABLE_VARIABLE__NAME

          static final int VARIABLE_VARIABLE__NAME

      The feature id for the 'Name' reference.
      See Also:
        Constant Field Values

    - #### VARIABLE_VARIABLE_FEATURE_COUNT

          static final int VARIABLE_VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Variable Variable' class.
      See Also:
        Constant Field Values

    - #### CONSTANT

          static final int CONSTANT

      The meta object id for the '`Constant`' class.
      See Also:
        `ConstantImpl`, `DslPackageImpl.getConstant()`, Constant Field Values

    - #### CONSTANT__NAME

          static final int CONSTANT__NAME

      The feature id for the 'Name' reference.
      See Also:
        Constant Field Values

    - #### CONSTANT_FEATURE_COUNT

          static final int CONSTANT_FEATURE_COUNT

      The number of structural features of the 'Constant' class.
      See Also:
        Constant Field Values

    - #### NULL_VALUE

          static final int NULL_VALUE

      The meta object id for the '`Null Value`' class.
      See Also:
        `NullValueImpl`, `DslPackageImpl.getNullValue()`, Constant Field Values

    - #### NULL_VALUE_FEATURE_COUNT

          static final int NULL_VALUE_FEATURE_COUNT

      The number of structural features of the 'Null Value' class.
      See Also:
        Constant Field Values

    - #### INEXISTENT_VALUE

          static final int INEXISTENT_VALUE

      The meta object id for the '`Inexistent Value`' class.
      See Also:
        `InexistentValueImpl`, `DslPackageImpl.getInexistentValue()`, Constant Field Values

    - #### INEXISTENT_VALUE_FEATURE_COUNT

          static final int INEXISTENT_VALUE_FEATURE_COUNT

      The number of structural features of the 'Inexistent Value' class.
      See Also:
        Constant Field Values

    - #### EMPTY_VALUE

          static final int EMPTY_VALUE

      The meta object id for the '`Empty Value`' class.
      See Also:
        `EmptyValueImpl`, `DslPackageImpl.getEmptyValue()`, Constant Field Values

    - #### EMPTY_VALUE_FEATURE_COUNT

          static final int EMPTY_VALUE_FEATURE_COUNT

      The number of structural features of the 'Empty Value' class.
      See Also:
        Constant Field Values

    - #### ENUM_VALUE

          static final int ENUM_VALUE

      The meta object id for the '`Enum Value`' class.
      See Also:
        `EnumValueImpl`, `DslPackageImpl.getEnumValue()`, Constant Field Values

    - #### ENUM_VALUE__ENUM_VALUE

          static final int ENUM_VALUE__ENUM_VALUE

      The feature id for the 'Enum Value' reference.
      See Also:
        Constant Field Values

    - #### ENUM_VALUE_FEATURE_COUNT

          static final int ENUM_VALUE_FEATURE_COUNT

      The number of structural features of the 'Enum Value' class.
      See Also:
        Constant Field Values

    - #### NESTED_OBJECT

          static final int NESTED_OBJECT

      The meta object id for the '`Nested Object`' class.
      See Also:
        `NestedObjectImpl`, `DslPackageImpl.getNestedObject()`, Constant Field Values

    - #### NESTED_OBJECT__ATTRIBUTES

          static final int NESTED_OBJECT__ATTRIBUTES

      The feature id for the 'Attributes' containment reference list.
      See Also:
        Constant Field Values

    - #### NESTED_OBJECT_FEATURE_COUNT

          static final int NESTED_OBJECT_FEATURE_COUNT

      The number of structural features of the 'Nested Object' class.
      See Also:
        Constant Field Values

    - #### TYPED_NESTED_OBJECT

          static final int TYPED_NESTED_OBJECT

      The meta object id for the '`Typed Nested Object`' class.
      See Also:
        `TypedNestedObjectImpl`, `DslPackageImpl.getTypedNestedObject()`, Constant Field Values

    - #### TYPED_NESTED_OBJECT__TYPE

          static final int TYPED_NESTED_OBJECT__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values

    - #### TYPED_NESTED_OBJECT__NESTED_OBJECT

          static final int TYPED_NESTED_OBJECT__NESTED_OBJECT

      The feature id for the 'Nested Object' containment reference.
      See Also:
        Constant Field Values

    - #### TYPED_NESTED_OBJECT_FEATURE_COUNT

          static final int TYPED_NESTED_OBJECT_FEATURE_COUNT

      The number of structural features of the 'Typed Nested Object' class.
      See Also:
        Constant Field Values

    - #### KEY_VALUE_PAIR

          static final int KEY_VALUE_PAIR

      The meta object id for the '`Key Value Pair`' class.
      See Also:
        `KeyValuePairImpl`, `DslPackageImpl.getKeyValuePair()`, Constant Field Values

    - #### KEY_VALUE_PAIR__IDENTIFIER

          static final int KEY_VALUE_PAIR__IDENTIFIER

      The feature id for the 'Identifier' attribute.
      See Also:
        Constant Field Values

    - #### KEY_VALUE_PAIR__STRING_IDENTIFIER

          static final int KEY_VALUE_PAIR__STRING_IDENTIFIER

      The feature id for the 'String Identifier' attribute.
      See Also:
        Constant Field Values

    - #### KEY_VALUE_PAIR__VALUE

          static final int KEY_VALUE_PAIR__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values

    - #### KEY_VALUE_PAIR_FEATURE_COUNT

          static final int KEY_VALUE_PAIR_FEATURE_COUNT

      The number of structural features of the 'Key Value Pair' class.
      See Also:
        Constant Field Values

    - #### JAVA_CLASS_REFERENCE

          static final int JAVA_CLASS_REFERENCE

      The meta object id for the '`Java Class Reference`' class.
      See Also:
        `JavaClassReferenceImpl`, `DslPackageImpl.getJavaClassReference()`, Constant Field Values

    - #### JAVA_CLASS_REFERENCE__TYPE

          static final int JAVA_CLASS_REFERENCE__TYPE

      The feature id for the 'Type' reference.
      See Also:
        Constant Field Values

    - #### JAVA_CLASS_REFERENCE_FEATURE_COUNT

          static final int JAVA_CLASS_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Java Class Reference' class.
      See Also:
        Constant Field Values

    - #### METHOD_REFERENCE

          static final int METHOD_REFERENCE

      The meta object id for the '`Method Reference`' class.
      See Also:
        `MethodReferenceImpl`, `DslPackageImpl.getMethodReference()`, Constant Field Values

    - #### METHOD_REFERENCE__TYPE

          static final int METHOD_REFERENCE__TYPE

      The feature id for the 'Type' reference.
      See Also:
        Constant Field Values

    - #### METHOD_REFERENCE__METHOD

          static final int METHOD_REFERENCE__METHOD

      The feature id for the 'Method' reference.
      See Also:
        Constant Field Values

    - #### METHOD_REFERENCE_FEATURE_COUNT

          static final int METHOD_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Method Reference' class.
      See Also:
        Constant Field Values

    - #### JAVA_CONSTANT_REFERENCE

          static final int JAVA_CONSTANT_REFERENCE

      The meta object id for the '`Java Constant Reference`' class.
      See Also:
        `JavaConstantReferenceImpl`, `DslPackageImpl.getJavaConstantReference()`, Constant Field Values

    - #### JAVA_CONSTANT_REFERENCE__TYPE

          static final int JAVA_CONSTANT_REFERENCE__TYPE

      The feature id for the 'Type' reference.
      See Also:
        Constant Field Values

    - #### JAVA_CONSTANT_REFERENCE__CONSTANT

          static final int JAVA_CONSTANT_REFERENCE__CONSTANT

      The feature id for the 'Constant' reference.
      See Also:
        Constant Field Values

    - #### JAVA_CONSTANT_REFERENCE_FEATURE_COUNT

          static final int JAVA_CONSTANT_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Java Constant Reference' class.
      See Also:
        Constant Field Values

    - #### EXECUTION_MULTIPLIER

          static final int EXECUTION_MULTIPLIER

      The meta object id for the '`Execution Multiplier`' class.
      See Also:
        `ExecutionMultiplierImpl`, `DslPackageImpl.getExecutionMultiplier()`, Constant Field Values

    - #### EXECUTION_MULTIPLIER__COUNT

          static final int EXECUTION_MULTIPLIER__COUNT

      The feature id for the 'Count' containment reference.
      See Also:
        Constant Field Values

    - #### EXECUTION_MULTIPLIER_FEATURE_COUNT

          static final int EXECUTION_MULTIPLIER_FEATURE_COUNT

      The number of structural features of the 'Execution Multiplier' class.
      See Also:
        Constant Field Values

    - #### DOCUMENTATION_COMMENT

          static final int DOCUMENTATION_COMMENT

      The meta object id for the '`Documentation Comment`' class.
      See Also:
        `DocumentationCommentImpl`, `DslPackageImpl.getDocumentationComment()`, Constant Field Values

    - #### DOCUMENTATION_COMMENT__CONTENT

          static final int DOCUMENTATION_COMMENT__CONTENT

      The feature id for the 'Content' attribute.
      See Also:
        Constant Field Values

    - #### DOCUMENTATION_COMMENT_FEATURE_COUNT

          static final int DOCUMENTATION_COMMENT_FEATURE_COUNT

      The number of structural features of the 'Documentation Comment' class.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      The meta object id for the '`Null`' class.
      See Also:
        `NullImpl`, `DslPackageImpl.getNull()`, Constant Field Values

    - #### NULL_FEATURE_COUNT

          static final int NULL_FEATURE_COUNT

      The number of structural features of the 'Null' class.
      See Also:
        Constant Field Values

    - #### INEXISTENT

          static final int INEXISTENT

      The meta object id for the '`Inexistent`' class.
      See Also:
        `InexistentImpl`, `DslPackageImpl.getInexistent()`, Constant Field Values

    - #### INEXISTENT_FEATURE_COUNT

          static final int INEXISTENT_FEATURE_COUNT

      The number of structural features of the 'Inexistent' class.
      See Also:
        Constant Field Values

    - #### EMPTY

          static final int EMPTY

      The meta object id for the '`Empty`' class.
      See Also:
        `EmptyImpl`, `DslPackageImpl.getEmpty()`, Constant Field Values

    - #### EMPTY_FEATURE_COUNT

          static final int EMPTY_FEATURE_COUNT

      The number of structural features of the 'Empty' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getModel

          org.eclipse.emf.ecore.EClass getModel()

      Returns the meta object for class '`Model`'.
      Returns:
        the meta object for class 'Model'.
      See Also:
        `Model`

    - #### getModel_Imports

          org.eclipse.emf.ecore.EReference getModel_Imports()

      Returns the meta object for the containment reference list '`Imports`'.
      Returns:
        the meta object for the containment reference list 'Imports'.
      See Also:
        `Model.getImports()`, `getModel()`

    - #### getModel_Statements

          org.eclipse.emf.ecore.EReference getModel_Statements()

      Returns the meta object for the containment reference list '`Statements`'.
      Returns:
        the meta object for the containment reference list 'Statements'.
      See Also:
        `Model.getStatements()`, `getModel()`

    - #### getStatement

          org.eclipse.emf.ecore.EClass getStatement()

      Returns the meta object for class '`Statement`'.
      Returns:
        the meta object for class 'Statement'.
      See Also:
        `Statement`

    - #### getStatement_Documentation

          org.eclipse.emf.ecore.EReference getStatement_Documentation()

      Returns the meta object for the containment reference '`Documentation`'.
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `Statement.getDocumentation()`, `getStatement()`

    - #### getStatement_Name

          org.eclipse.emf.ecore.EAttribute getStatement_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Statement.getName()`, `getStatement()`

    - #### getVisibleComment

          org.eclipse.emf.ecore.EClass getVisibleComment()

      Returns the meta object for class '`Visible Comment`'.
      Returns:
        the meta object for class 'Visible Comment'.
      See Also:
        `VisibleComment`

    - #### getVisibleComment_Content

          org.eclipse.emf.ecore.EAttribute getVisibleComment_Content()

      Returns the meta object for the attribute '`Content`'.
      Returns:
        the meta object for the attribute 'Content'.
      See Also:
        `VisibleComment.getContent()`, `getVisibleComment()`

    - #### getVisibleSingleLineComment

          org.eclipse.emf.ecore.EClass getVisibleSingleLineComment()

      Returns the meta object for class '`Visible Single Line Comment`'.
      Returns:
        the meta object for class 'Visible Single Line Comment'.
      See Also:
        `VisibleSingleLineComment`

    - #### getVisibleSingleLineNormalComment

          org.eclipse.emf.ecore.EClass getVisibleSingleLineNormalComment()

      Returns the meta object for class '`Visible Single Line Normal Comment`'.
      Returns:
        the meta object for class 'Visible Single Line Normal Comment'.
      See Also:
        `VisibleSingleLineNormalComment`

    - #### getVisibleSingleLineTitleComment

          org.eclipse.emf.ecore.EClass getVisibleSingleLineTitleComment()

      Returns the meta object for class '`Visible Single Line Title Comment`'.
      Returns:
        the meta object for class 'Visible Single Line Title Comment'.
      See Also:
        `VisibleSingleLineTitleComment`

    - #### getVisibleMultiLineComment

          org.eclipse.emf.ecore.EClass getVisibleMultiLineComment()

      Returns the meta object for class '`Visible Multi Line Comment`'.
      Returns:
        the meta object for class 'Visible Multi Line Comment'.
      See Also:
        `VisibleMultiLineComment`

    - #### getVisibleMultiLineNormalComment

          org.eclipse.emf.ecore.EClass getVisibleMultiLineNormalComment()

      Returns the meta object for class '`Visible Multi Line Normal Comment`'.
      Returns:
        the meta object for class 'Visible Multi Line Normal Comment'.
      See Also:
        `VisibleMultiLineNormalComment`

    - #### getVisibleMultiLineTitleComment

          org.eclipse.emf.ecore.EClass getVisibleMultiLineTitleComment()

      Returns the meta object for class '`Visible Multi Line Title Comment`'.
      Returns:
        the meta object for class 'Visible Multi Line Title Comment'.
      See Also:
        `VisibleMultiLineTitleComment`

    - #### getVisibleDivider

          org.eclipse.emf.ecore.EClass getVisibleDivider()

      Returns the meta object for class '`Visible Divider`'.
      Returns:
        the meta object for class 'Visible Divider'.
      See Also:
        `VisibleDivider`

    - #### getVisibleDivider_Content

          org.eclipse.emf.ecore.EAttribute getVisibleDivider_Content()

      Returns the meta object for the attribute '`Content`'.
      Returns:
        the meta object for the attribute 'Content'.
      See Also:
        `VisibleDivider.getContent()`, `getVisibleDivider()`

    - #### getPackageDefinition

          org.eclipse.emf.ecore.EClass getPackageDefinition()

      Returns the meta object for class '`Package Definition`'.
      Returns:
        the meta object for class 'Package Definition'.
      See Also:
        `PackageDefinition`

    - #### getPackageDefinition_Statements

          org.eclipse.emf.ecore.EReference getPackageDefinition_Statements()

      Returns the meta object for the containment reference list '`Statements`'.
      Returns:
        the meta object for the containment reference list 'Statements'.
      See Also:
        `PackageDefinition.getStatements()`, `getPackageDefinition()`

    - #### getPackageStatement

          org.eclipse.emf.ecore.EClass getPackageStatement()

      Returns the meta object for class '`Package Statement`'.
      Returns:
        the meta object for class 'Package Statement'.
      See Also:
        `PackageStatement`

    - #### getImport

          org.eclipse.emf.ecore.EClass getImport()

      Returns the meta object for class '`Import`'.
      Returns:
        the meta object for class 'Import'.
      See Also:
        `Import`

    - #### getImport_ImportedNamespace

          org.eclipse.emf.ecore.EAttribute getImport_ImportedNamespace()

      Returns the meta object for the attribute '`Imported Namespace`'.
      Returns:
        the meta object for the attribute 'Imported Namespace'.
      See Also:
        `Import.getImportedNamespace()`, `getImport()`

    - #### getForkDefinition

          org.eclipse.emf.ecore.EClass getForkDefinition()

      Returns the meta object for class '`Fork Definition`'.
      Returns:
        the meta object for class 'Fork Definition'.
      See Also:
        `ForkDefinition`

    - #### getForkDefinition_Private

          org.eclipse.emf.ecore.EAttribute getForkDefinition_Private()

      Returns the meta object for the attribute '`Private`'.
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `ForkDefinition.getPrivate()`, `getForkDefinition()`

    - #### getForkDefinition_Description

          org.eclipse.emf.ecore.EAttribute getForkDefinition_Description()

      Returns the meta object for the attribute '`Description`'.
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `ForkDefinition.getDescription()`, `getForkDefinition()`

    - #### getForkDefinition_ForkerClass

          org.eclipse.emf.ecore.EReference getForkDefinition_ForkerClass()

      Returns the meta object for the containment reference '`Forker Class`'.
      Returns:
        the meta object for the containment reference 'Forker Class'.
      See Also:
        `ForkDefinition.getForkerClass()`, `getForkDefinition()`

    - #### getForkDefinition_BaseFork

          org.eclipse.emf.ecore.EReference getForkDefinition_BaseFork()

      Returns the meta object for the reference '`Base Fork`'.
      Returns:
        the meta object for the reference 'Base Fork'.
      See Also:
        `ForkDefinition.getBaseFork()`, `getForkDefinition()`

    - #### getForkDefinition_Parameters

          org.eclipse.emf.ecore.EReference getForkDefinition_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `ForkDefinition.getParameters()`, `getForkDefinition()`

    - #### getForkParameter

          org.eclipse.emf.ecore.EClass getForkParameter()

      Returns the meta object for class '`Fork Parameter`'.
      Returns:
        the meta object for class 'Fork Parameter'.
      See Also:
        `ForkParameter`

    - #### getForkParameter_Name

          org.eclipse.emf.ecore.EReference getForkParameter_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ForkParameter.getName()`, `getForkParameter()`

    - #### getForkParameter_Value

          org.eclipse.emf.ecore.EReference getForkParameter_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ForkParameter.getValue()`, `getForkParameter()`

    - #### getVariantDefinition

          org.eclipse.emf.ecore.EClass getVariantDefinition()

      Returns the meta object for class '`Variant Definition`'.
      Returns:
        the meta object for class 'Variant Definition'.
      See Also:
        `VariantDefinition`

    - #### getVariantDefinition_Description

          org.eclipse.emf.ecore.EAttribute getVariantDefinition_Description()

      Returns the meta object for the attribute '`Description`'.
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `VariantDefinition.getDescription()`, `getVariantDefinition()`

    - #### getTestDefinition

          org.eclipse.emf.ecore.EClass getTestDefinition()

      Returns the meta object for class '`Test Definition`'.
      Returns:
        the meta object for class 'Test Definition'.
      See Also:
        `TestDefinition`

    - #### getTestDefinition_Documentation

          org.eclipse.emf.ecore.EReference getTestDefinition_Documentation()

      Returns the meta object for the containment reference '`Documentation`'.
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `TestDefinition.getDocumentation()`, `getTestDefinition()`

    - #### getTestDefinition_Name

          org.eclipse.emf.ecore.EAttribute getTestDefinition_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `TestDefinition.getName()`, `getTestDefinition()`

    - #### getTestDefinition_FixtureMethod

          org.eclipse.emf.ecore.EReference getTestDefinition_FixtureMethod()

      Returns the meta object for the containment reference '`Fixture Method`'.
      Returns:
        the meta object for the containment reference 'Fixture Method'.
      See Also:
        `TestDefinition.getFixtureMethod()`, `getTestDefinition()`

    - #### getCallDefinition

          org.eclipse.emf.ecore.EClass getCallDefinition()

      Returns the meta object for class '`Call Definition`'.
      Returns:
        the meta object for class 'Call Definition'.
      See Also:
        `CallDefinition`

    - #### getCallDefinition_Documentation

          org.eclipse.emf.ecore.EReference getCallDefinition_Documentation()

      Returns the meta object for the containment reference '`Documentation`'.
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `CallDefinition.getDocumentation()`, `getCallDefinition()`

    - #### getCallDefinition_Name

          org.eclipse.emf.ecore.EAttribute getCallDefinition_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `CallDefinition.getName()`, `getCallDefinition()`

    - #### getCallDefinition_FixtureMethod

          org.eclipse.emf.ecore.EReference getCallDefinition_FixtureMethod()

      Returns the meta object for the containment reference '`Fixture Method`'.
      Returns:
        the meta object for the containment reference 'Fixture Method'.
      See Also:
        `CallDefinition.getFixtureMethod()`, `getCallDefinition()`

    - #### getSuiteDefinition

          org.eclipse.emf.ecore.EClass getSuiteDefinition()

      Returns the meta object for class '`Suite Definition`'.
      Returns:
        the meta object for class 'Suite Definition'.
      See Also:
        `SuiteDefinition`

    - #### getSuiteDefinition_Documentation

          org.eclipse.emf.ecore.EReference getSuiteDefinition_Documentation()

      Returns the meta object for the containment reference '`Documentation`'.
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `SuiteDefinition.getDocumentation()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Private

          org.eclipse.emf.ecore.EAttribute getSuiteDefinition_Private()

      Returns the meta object for the attribute '`Private`'.
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `SuiteDefinition.getPrivate()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_SingleRun

          org.eclipse.emf.ecore.EAttribute getSuiteDefinition_SingleRun()

      Returns the meta object for the attribute '`Single Run`'.
      Returns:
        the meta object for the attribute 'Single Run'.
      See Also:
        `SuiteDefinition.getSingleRun()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Inlined

          org.eclipse.emf.ecore.EAttribute getSuiteDefinition_Inlined()

      Returns the meta object for the attribute '`Inlined`'.
      Returns:
        the meta object for the attribute 'Inlined'.
      See Also:
        `SuiteDefinition.getInlined()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Name

          org.eclipse.emf.ecore.EAttribute getSuiteDefinition_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `SuiteDefinition.getName()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Parameters

          org.eclipse.emf.ecore.EReference getSuiteDefinition_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `SuiteDefinition.getParameters()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Return

          org.eclipse.emf.ecore.EReference getSuiteDefinition_Return()

      Returns the meta object for the containment reference list '`Return`'.
      Returns:
        the meta object for the containment reference list 'Return'.
      See Also:
        `SuiteDefinition.getReturn()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Dependencies

          org.eclipse.emf.ecore.EReference getSuiteDefinition_Dependencies()

      Returns the meta object for the reference list '`Dependencies`'.
      Returns:
        the meta object for the reference list 'Dependencies'.
      See Also:
        `SuiteDefinition.getDependencies()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Finalizers

          org.eclipse.emf.ecore.EReference getSuiteDefinition_Finalizers()

      Returns the meta object for the reference list '`Finalizers`'.
      Returns:
        the meta object for the reference list 'Finalizers'.
      See Also:
        `SuiteDefinition.getFinalizers()`, `getSuiteDefinition()`

    - #### getSuiteDefinition_Statements

          org.eclipse.emf.ecore.EReference getSuiteDefinition_Statements()

      Returns the meta object for the containment reference list '`Statements`'.
      Returns:
        the meta object for the containment reference list 'Statements'.
      See Also:
        `SuiteDefinition.getStatements()`, `getSuiteDefinition()`

    - #### getSuiteParameterDefinition

          org.eclipse.emf.ecore.EClass getSuiteParameterDefinition()

      Returns the meta object for class '`Suite Parameter Definition`'.
      Returns:
        the meta object for class 'Suite Parameter Definition'.
      See Also:
        `SuiteParameterDefinition`

    - #### getSuiteParameterDefinition_Name

          org.eclipse.emf.ecore.EReference getSuiteParameterDefinition_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `SuiteParameterDefinition.getName()`, `getSuiteParameterDefinition()`

    - #### getSuiteParameterDefinition_Default

          org.eclipse.emf.ecore.EReference getSuiteParameterDefinition_Default()

      Returns the meta object for the containment reference '`Default`'.
      Returns:
        the meta object for the containment reference 'Default'.
      See Also:
        `SuiteParameterDefinition.getDefault()`, `getSuiteParameterDefinition()`

    - #### getSuiteReturnDefinition

          org.eclipse.emf.ecore.EClass getSuiteReturnDefinition()

      Returns the meta object for class '`Suite Return Definition`'.
      Returns:
        the meta object for class 'Suite Return Definition'.
      See Also:
        `SuiteReturnDefinition`

    - #### getSuiteReturnDefinition_Name

          org.eclipse.emf.ecore.EReference getSuiteReturnDefinition_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `SuiteReturnDefinition.getName()`, `getSuiteReturnDefinition()`

    - #### getOperationDefinition

          org.eclipse.emf.ecore.EClass getOperationDefinition()

      Returns the meta object for class '`Operation Definition`'.
      Returns:
        the meta object for class 'Operation Definition'.
      See Also:
        `OperationDefinition`

    - #### getOperationDefinition_Name

          org.eclipse.emf.ecore.EAttribute getOperationDefinition_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `OperationDefinition.getName()`, `getOperationDefinition()`

    - #### getOperationDefinition_OperationType

          org.eclipse.emf.ecore.EReference getOperationDefinition_OperationType()

      Returns the meta object for the containment reference '`Operation Type`'.
      Returns:
        the meta object for the containment reference 'Operation Type'.
      See Also:
        `OperationDefinition.getOperationType()`, `getOperationDefinition()`

    - #### getSuiteStatement

          org.eclipse.emf.ecore.EClass getSuiteStatement()

      Returns the meta object for class '`Suite Statement`'.
      Returns:
        the meta object for class 'Suite Statement'.
      See Also:
        `SuiteStatement`

    - #### getSuiteStatementWithResult

          org.eclipse.emf.ecore.EClass getSuiteStatementWithResult()

      Returns the meta object for class '`Suite Statement With Result`'.
      Returns:
        the meta object for class 'Suite Statement With Result'.
      See Also:
        `SuiteStatementWithResult`

    - #### getVariableDefinition

          org.eclipse.emf.ecore.EClass getVariableDefinition()

      Returns the meta object for class '`Variable Definition`'.
      Returns:
        the meta object for class 'Variable Definition'.
      See Also:
        `VariableDefinition`

    - #### getVariableDefinition_Private

          org.eclipse.emf.ecore.EAttribute getVariableDefinition_Private()

      Returns the meta object for the attribute '`Private`'.
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `VariableDefinition.getPrivate()`, `getVariableDefinition()`

    - #### getVariableDefinition_Name

          org.eclipse.emf.ecore.EReference getVariableDefinition_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `VariableDefinition.getName()`, `getVariableDefinition()`

    - #### getVariableDefinition_InitialValue

          org.eclipse.emf.ecore.EReference getVariableDefinition_InitialValue()

      Returns the meta object for the containment reference '`Initial Value`'.
      Returns:
        the meta object for the containment reference 'Initial Value'.
      See Also:
        `VariableDefinition.getInitialValue()`, `getVariableDefinition()`

    - #### getConstantDefinition

          org.eclipse.emf.ecore.EClass getConstantDefinition()

      Returns the meta object for class '`Constant Definition`'.
      Returns:
        the meta object for class 'Constant Definition'.
      See Also:
        `ConstantDefinition`

    - #### getConstantDefinition_Documentation

          org.eclipse.emf.ecore.EReference getConstantDefinition_Documentation()

      Returns the meta object for the containment reference '`Documentation`'.
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `ConstantDefinition.getDocumentation()`, `getConstantDefinition()`

    - #### getConstantDefinition_Private

          org.eclipse.emf.ecore.EAttribute getConstantDefinition_Private()

      Returns the meta object for the attribute '`Private`'.
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `ConstantDefinition.getPrivate()`, `getConstantDefinition()`

    - #### getConstantDefinition_Name

          org.eclipse.emf.ecore.EReference getConstantDefinition_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ConstantDefinition.getName()`, `getConstantDefinition()`

    - #### getConstantDefinition_Value

          org.eclipse.emf.ecore.EReference getConstantDefinition_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ConstantDefinition.getValue()`, `getConstantDefinition()`

    - #### getConstantDefinition_VariantValues

          org.eclipse.emf.ecore.EReference getConstantDefinition_VariantValues()

      Returns the meta object for the containment reference list '`Variant Values`'.
      Returns:
        the meta object for the containment reference list 'Variant Values'.
      See Also:
        `ConstantDefinition.getVariantValues()`, `getConstantDefinition()`

    - #### getConstantDefinition_Parameterized

          org.eclipse.emf.ecore.EAttribute getConstantDefinition_Parameterized()

      Returns the meta object for the attribute '`Parameterized`'.
      Returns:
        the meta object for the attribute 'Parameterized'.
      See Also:
        `ConstantDefinition.getParameterized()`, `getConstantDefinition()`

    - #### getVariableAssignment

          org.eclipse.emf.ecore.EClass getVariableAssignment()

      Returns the meta object for class '`Variable Assignment`'.
      Returns:
        the meta object for class 'Variable Assignment'.
      See Also:
        `VariableAssignment`

    - #### getVariableAssignment_Value

          org.eclipse.emf.ecore.EReference getVariableAssignment_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `VariableAssignment.getValue()`, `getVariableAssignment()`

    - #### getVariableAssignment_Target

          org.eclipse.emf.ecore.EReference getVariableAssignment_Target()

      Returns the meta object for the containment reference '`Target`'.
      Returns:
        the meta object for the containment reference 'Target'.
      See Also:
        `VariableAssignment.getTarget()`, `getVariableAssignment()`

    - #### getVariantValue

          org.eclipse.emf.ecore.EClass getVariantValue()

      Returns the meta object for class '`Variant Value`'.
      Returns:
        the meta object for class 'Variant Value'.
      See Also:
        `VariantValue`

    - #### getVariantValue_Names

          org.eclipse.emf.ecore.EReference getVariantValue_Names()

      Returns the meta object for the reference list '`Names`'.
      Returns:
        the meta object for the reference list 'Names'.
      See Also:
        `VariantValue.getNames()`, `getVariantValue()`

    - #### getVariantValue_Value

          org.eclipse.emf.ecore.EReference getVariantValue_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `VariantValue.getValue()`, `getVariantValue()`

    - #### getVariableEntity

          org.eclipse.emf.ecore.EClass getVariableEntity()

      Returns the meta object for class '`Variable Entity`'.
      Returns:
        the meta object for class 'Variable Entity'.
      See Also:
        `VariableEntity`

    - #### getConstantEntity

          org.eclipse.emf.ecore.EClass getConstantEntity()

      Returns the meta object for class '`Constant Entity`'.
      Returns:
        the meta object for class 'Constant Entity'.
      See Also:
        `ConstantEntity`

    - #### getVariableOrConstantEntity

          org.eclipse.emf.ecore.EClass getVariableOrConstantEntity()

      Returns the meta object for class '`Variable Or Constant Entity`'.
      Returns:
        the meta object for class 'Variable Or Constant Entity'.
      See Also:
        `VariableOrConstantEntity`

    - #### getVariableOrConstantEntity_Name

          org.eclipse.emf.ecore.EAttribute getVariableOrConstantEntity_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `VariableOrConstantEntity.getName()`, `getVariableOrConstantEntity()`

    - #### getTest

          org.eclipse.emf.ecore.EClass getTest()

      Returns the meta object for class '`Test`'.
      Returns:
        the meta object for class 'Test'.
      See Also:
        `Test`

    - #### getTest_Checkpoint

          org.eclipse.emf.ecore.EAttribute getTest_Checkpoint()

      Returns the meta object for the attribute '`Checkpoint`'.
      Returns:
        the meta object for the attribute 'Checkpoint'.
      See Also:
        `Test.getCheckpoint()`, `getTest()`

    - #### getTest_Definition

          org.eclipse.emf.ecore.EReference getTest_Definition()

      Returns the meta object for the reference '`Definition`'.
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `Test.getDefinition()`, `getTest()`

    - #### getTest_Parameters

          org.eclipse.emf.ecore.EReference getTest_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Test.getParameters()`, `getTest()`

    - #### getTest_Results

          org.eclipse.emf.ecore.EReference getTest_Results()

      Returns the meta object for the containment reference list '`Results`'.
      Returns:
        the meta object for the containment reference list 'Results'.
      See Also:
        `Test.getResults()`, `getTest()`

    - #### getTest_Result

          org.eclipse.emf.ecore.EReference getTest_Result()

      Returns the meta object for the containment reference '`Result`'.
      Returns:
        the meta object for the containment reference 'Result'.
      See Also:
        `Test.getResult()`, `getTest()`

    - #### getTableTest

          org.eclipse.emf.ecore.EClass getTableTest()

      Returns the meta object for class '`Table Test`'.
      Returns:
        the meta object for class 'Table Test'.
      See Also:
        `TableTest`

    - #### getTableTest_Definition

          org.eclipse.emf.ecore.EReference getTableTest_Definition()

      Returns the meta object for the reference '`Definition`'.
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `TableTest.getDefinition()`, `getTableTest()`

    - #### getTableTest_Parameters

          org.eclipse.emf.ecore.EReference getTableTest_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TableTest.getParameters()`, `getTableTest()`

    - #### getTableTest_ParameterHeaders

          org.eclipse.emf.ecore.EReference getTableTest_ParameterHeaders()

      Returns the meta object for the containment reference list '`Parameter Headers`'.
      Returns:
        the meta object for the containment reference list 'Parameter Headers'.
      See Also:
        `TableTest.getParameterHeaders()`, `getTableTest()`

    - #### getTableTest_ResultHeaders

          org.eclipse.emf.ecore.EReference getTableTest_ResultHeaders()

      Returns the meta object for the containment reference list '`Result Headers`'.
      Returns:
        the meta object for the containment reference list 'Result Headers'.
      See Also:
        `TableTest.getResultHeaders()`, `getTableTest()`

    - #### getTableTest_DefaultResultColumn

          org.eclipse.emf.ecore.EAttribute getTableTest_DefaultResultColumn()

      Returns the meta object for the attribute '`Default Result Column`'.
      Returns:
        the meta object for the attribute 'Default Result Column'.
      See Also:
        `TableTest.getDefaultResultColumn()`, `getTableTest()`

    - #### getTableTest_Rows

          org.eclipse.emf.ecore.EReference getTableTest_Rows()

      Returns the meta object for the containment reference list '`Rows`'.
      Returns:
        the meta object for the containment reference list 'Rows'.
      See Also:
        `TableTest.getRows()`, `getTableTest()`

    - #### getTableTestRow

          org.eclipse.emf.ecore.EClass getTableTestRow()

      Returns the meta object for class '`Table Test Row`'.
      Returns:
        the meta object for class 'Table Test Row'.
      See Also:
        `TableTestRow`

    - #### getTableTestRow_Values

          org.eclipse.emf.ecore.EReference getTableTestRow_Values()

      Returns the meta object for the containment reference list '`Values`'.
      Returns:
        the meta object for the containment reference list 'Values'.
      See Also:
        `TableTestRow.getValues()`, `getTableTestRow()`

    - #### getParameterTableHeader

          org.eclipse.emf.ecore.EClass getParameterTableHeader()

      Returns the meta object for class '`Parameter Table Header`'.
      Returns:
        the meta object for class 'Parameter Table Header'.
      See Also:
        `ParameterTableHeader`

    - #### getParameterTableHeader_Name

          org.eclipse.emf.ecore.EReference getParameterTableHeader_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ParameterTableHeader.getName()`, `getParameterTableHeader()`

    - #### getResultTableHeader

          org.eclipse.emf.ecore.EClass getResultTableHeader()

      Returns the meta object for class '`Result Table Header`'.
      Returns:
        the meta object for class 'Result Table Header'.
      See Also:
        `ResultTableHeader`

    - #### getResultTableHeader_Name

          org.eclipse.emf.ecore.EReference getResultTableHeader_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ResultTableHeader.getName()`, `getResultTableHeader()`

    - #### getParameterTableValue

          org.eclipse.emf.ecore.EClass getParameterTableValue()

      Returns the meta object for class '`Parameter Table Value`'.
      Returns:
        the meta object for class 'Parameter Table Value'.
      See Also:
        `ParameterTableValue`

    - #### getParameterTableValue_Value

          org.eclipse.emf.ecore.EReference getParameterTableValue_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ParameterTableValue.getValue()`, `getParameterTableValue()`

    - #### getNamedResult

          org.eclipse.emf.ecore.EClass getNamedResult()

      Returns the meta object for class '`Named Result`'.
      Returns:
        the meta object for class 'Named Result'.
      See Also:
        `NamedResult`

    - #### getNamedResult_Name

          org.eclipse.emf.ecore.EReference getNamedResult_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `NamedResult.getName()`, `getNamedResult()`

    - #### getNamedResult_Value

          org.eclipse.emf.ecore.EReference getNamedResult_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `NamedResult.getValue()`, `getNamedResult()`

    - #### getResultName

          org.eclipse.emf.ecore.EClass getResultName()

      Returns the meta object for class '`Result Name`'.
      Returns:
        the meta object for class 'Result Name'.
      See Also:
        `ResultName`

    - #### getFixedResultName

          org.eclipse.emf.ecore.EClass getFixedResultName()

      Returns the meta object for class '`Fixed Result Name`'.
      Returns:
        the meta object for class 'Fixed Result Name'.
      See Also:
        `FixedResultName`

    - #### getFixedResultName_Field

          org.eclipse.emf.ecore.EReference getFixedResultName_Field()

      Returns the meta object for the reference '`Field`'.
      Returns:
        the meta object for the reference 'Field'.
      See Also:
        `FixedResultName.getField()`, `getFixedResultName()`

    - #### getCall

          org.eclipse.emf.ecore.EClass getCall()

      Returns the meta object for class '`Call`'.
      Returns:
        the meta object for class 'Call'.
      See Also:
        `Call`

    - #### getCall_Multiplier

          org.eclipse.emf.ecore.EReference getCall_Multiplier()

      Returns the meta object for the containment reference '`Multiplier`'.
      Returns:
        the meta object for the containment reference 'Multiplier'.
      See Also:
        `Call.getMultiplier()`, `getCall()`

    - #### getCall_Definition

          org.eclipse.emf.ecore.EReference getCall_Definition()

      Returns the meta object for the reference '`Definition`'.
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `Call.getDefinition()`, `getCall()`

    - #### getCall_Parameters

          org.eclipse.emf.ecore.EReference getCall_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Call.getParameters()`, `getCall()`

    - #### getCall_Results

          org.eclipse.emf.ecore.EReference getCall_Results()

      Returns the meta object for the containment reference list '`Results`'.
      Returns:
        the meta object for the containment reference list 'Results'.
      See Also:
        `Call.getResults()`, `getCall()`

    - #### getCall_Result

          org.eclipse.emf.ecore.EReference getCall_Result()

      Returns the meta object for the containment reference '`Result`'.
      Returns:
        the meta object for the containment reference 'Result'.
      See Also:
        `Call.getResult()`, `getCall()`

    - #### getNamedCallResult

          org.eclipse.emf.ecore.EClass getNamedCallResult()

      Returns the meta object for class '`Named Call Result`'.
      Returns:
        the meta object for class 'Named Call Result'.
      See Also:
        `NamedCallResult`

    - #### getNamedCallResult_Name

          org.eclipse.emf.ecore.EReference getNamedCallResult_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `NamedCallResult.getName()`, `getNamedCallResult()`

    - #### getNamedCallResult_Target

          org.eclipse.emf.ecore.EReference getNamedCallResult_Target()

      Returns the meta object for the containment reference '`Target`'.
      Returns:
        the meta object for the containment reference 'Target'.
      See Also:
        `NamedCallResult.getTarget()`, `getNamedCallResult()`

    - #### getTimeSet

          org.eclipse.emf.ecore.EClass getTimeSet()

      Returns the meta object for class '`Time Set`'.
      Returns:
        the meta object for class 'Time Set'.
      See Also:
        `TimeSet`

    - #### getTimeSet_Live

          org.eclipse.emf.ecore.EAttribute getTimeSet_Live()

      Returns the meta object for the attribute '`Live`'.
      Returns:
        the meta object for the attribute 'Live'.
      See Also:
        `TimeSet.getLive()`, `getTimeSet()`

    - #### getTimeSet_StartTime

          org.eclipse.emf.ecore.EReference getTimeSet_StartTime()

      Returns the meta object for the containment reference '`Start Time`'.
      Returns:
        the meta object for the containment reference 'Start Time'.
      See Also:
        `TimeSet.getStartTime()`, `getTimeSet()`

    - #### getTimeSet_DiffTime

          org.eclipse.emf.ecore.EReference getTimeSet_DiffTime()

      Returns the meta object for the containment reference '`Diff Time`'.
      Returns:
        the meta object for the containment reference 'Diff Time'.
      See Also:
        `TimeSet.getDiffTime()`, `getTimeSet()`

    - #### getTimeSet_ProgressionMode

          org.eclipse.emf.ecore.EAttribute getTimeSet_ProgressionMode()

      Returns the meta object for the attribute '`Progression Mode`'.
      Returns:
        the meta object for the attribute 'Progression Mode'.
      See Also:
        `TimeSet.getProgressionMode()`, `getTimeSet()`

    - #### getTimeSet_ProgressionFactor

          org.eclipse.emf.ecore.EReference getTimeSet_ProgressionFactor()

      Returns the meta object for the containment reference '`Progression Factor`'.
      Returns:
        the meta object for the containment reference 'Progression Factor'.
      See Also:
        `TimeSet.getProgressionFactor()`, `getTimeSet()`

    - #### getTimeSet_Forks

          org.eclipse.emf.ecore.EReference getTimeSet_Forks()

      Returns the meta object for the reference list '`Forks`'.
      Returns:
        the meta object for the reference list 'Forks'.
      See Also:
        `TimeSet.getForks()`, `getTimeSet()`

    - #### getTimeSet_MasterFork

          org.eclipse.emf.ecore.EAttribute getTimeSet_MasterFork()

      Returns the meta object for the attribute '`Master Fork`'.
      Returns:
        the meta object for the attribute 'Master Fork'.
      See Also:
        `TimeSet.getMasterFork()`, `getTimeSet()`

    - #### getTimeProgressionFactor

          org.eclipse.emf.ecore.EClass getTimeProgressionFactor()

      Returns the meta object for class '`Time Progression Factor`'.
      Returns:
        the meta object for class 'Time Progression Factor'.
      See Also:
        `TimeProgressionFactor`

    - #### getTimeProgressionFactor_FixedValue

          org.eclipse.emf.ecore.EAttribute getTimeProgressionFactor_FixedValue()

      Returns the meta object for the attribute '`Fixed Value`'.
      Returns:
        the meta object for the attribute 'Fixed Value'.
      See Also:
        `TimeProgressionFactor.getFixedValue()`, `getTimeProgressionFactor()`

    - #### getTimeProgressionFactor_CalculatedValue

          org.eclipse.emf.ecore.EReference getTimeProgressionFactor_CalculatedValue()

      Returns the meta object for the containment reference '`Calculated Value`'.
      Returns:
        the meta object for the containment reference 'Calculated Value'.
      See Also:
        `TimeProgressionFactor.getCalculatedValue()`, `getTimeProgressionFactor()`

    - #### getTimeDifference

          org.eclipse.emf.ecore.EClass getTimeDifference()

      Returns the meta object for class '`Time Difference`'.
      Returns:
        the meta object for class 'Time Difference'.
      See Also:
        `TimeDifference`

    - #### getTimeDifference_Direction

          org.eclipse.emf.ecore.EAttribute getTimeDifference_Direction()

      Returns the meta object for the attribute '`Direction`'.
      Returns:
        the meta object for the attribute 'Direction'.
      See Also:
        `TimeDifference.getDirection()`, `getTimeDifference()`

    - #### getTimeDifference_FixedValues

          org.eclipse.emf.ecore.EAttribute getTimeDifference_FixedValues()

      Returns the meta object for the attribute list '`Fixed Values`'.
      Returns:
        the meta object for the attribute list 'Fixed Values'.
      See Also:
        `TimeDifference.getFixedValues()`, `getTimeDifference()`

    - #### getTimeDifference_CalculatedValue

          org.eclipse.emf.ecore.EReference getTimeDifference_CalculatedValue()

      Returns the meta object for the containment reference '`Calculated Value`'.
      Returns:
        the meta object for the containment reference 'Calculated Value'.
      See Also:
        `TimeDifference.getCalculatedValue()`, `getTimeDifference()`

    - #### getSuite

          org.eclipse.emf.ecore.EClass getSuite()

      Returns the meta object for class '`Suite`'.
      Returns:
        the meta object for class 'Suite'.
      See Also:
        `Suite`

    - #### getSuite_Inlined

          org.eclipse.emf.ecore.EAttribute getSuite_Inlined()

      Returns the meta object for the attribute '`Inlined`'.
      Returns:
        the meta object for the attribute 'Inlined'.
      See Also:
        `Suite.getInlined()`, `getSuite()`

    - #### getSuite_Multiplier

          org.eclipse.emf.ecore.EReference getSuite_Multiplier()

      Returns the meta object for the containment reference '`Multiplier`'.
      Returns:
        the meta object for the containment reference 'Multiplier'.
      See Also:
        `Suite.getMultiplier()`, `getSuite()`

    - #### getSuite_Definition

          org.eclipse.emf.ecore.EReference getSuite_Definition()

      Returns the meta object for the reference '`Definition`'.
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `Suite.getDefinition()`, `getSuite()`

    - #### getSuite_Parameters

          org.eclipse.emf.ecore.EReference getSuite_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Suite.getParameters()`, `getSuite()`

    - #### getSuite_Return

          org.eclipse.emf.ecore.EReference getSuite_Return()

      Returns the meta object for the containment reference list '`Return`'.
      Returns:
        the meta object for the containment reference list 'Return'.
      See Also:
        `Suite.getReturn()`, `getSuite()`

    - #### getSuite_Fork

          org.eclipse.emf.ecore.EReference getSuite_Fork()

      Returns the meta object for the reference '`Fork`'.
      Returns:
        the meta object for the reference 'Fork'.
      See Also:
        `Suite.getFork()`, `getSuite()`

    - #### getSuite_Variants

          org.eclipse.emf.ecore.EReference getSuite_Variants()

      Returns the meta object for the reference list '`Variants`'.
      Returns:
        the meta object for the reference list 'Variants'.
      See Also:
        `Suite.getVariants()`, `getSuite()`

    - #### getSuiteParameter

          org.eclipse.emf.ecore.EClass getSuiteParameter()

      Returns the meta object for class '`Suite Parameter`'.
      Returns:
        the meta object for class 'Suite Parameter'.
      See Also:
        `SuiteParameter`

    - #### getSuiteParameter_Name

          org.eclipse.emf.ecore.EReference getSuiteParameter_Name()

      Returns the meta object for the reference '`Name`'.
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `SuiteParameter.getName()`, `getSuiteParameter()`

    - #### getSuiteParameter_Value

          org.eclipse.emf.ecore.EReference getSuiteParameter_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `SuiteParameter.getValue()`, `getSuiteParameter()`

    - #### getSuiteReturn

          org.eclipse.emf.ecore.EClass getSuiteReturn()

      Returns the meta object for class '`Suite Return`'.
      Returns:
        the meta object for class 'Suite Return'.
      See Also:
        `SuiteReturn`

    - #### getSuiteReturn_Name

          org.eclipse.emf.ecore.EReference getSuiteReturn_Name()

      Returns the meta object for the reference '`Name`'.
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `SuiteReturn.getName()`, `getSuiteReturn()`

    - #### getSuiteReturn_Target

          org.eclipse.emf.ecore.EReference getSuiteReturn_Target()

      Returns the meta object for the containment reference '`Target`'.
      Returns:
        the meta object for the containment reference 'Target'.
      See Also:
        `SuiteReturn.getTarget()`, `getSuiteReturn()`

    - #### getParameter

          org.eclipse.emf.ecore.EClass getParameter()

      Returns the meta object for class '`Parameter`'.
      Returns:
        the meta object for class 'Parameter'.
      See Also:
        `Parameter`

    - #### getParameter_Name

          org.eclipse.emf.ecore.EReference getParameter_Name()

      Returns the meta object for the containment reference '`Name`'.
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `Parameter.getName()`, `getParameter()`

    - #### getParameter_Value

          org.eclipse.emf.ecore.EReference getParameter_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `Parameter.getValue()`, `getParameter()`

    - #### getParameterName

          org.eclipse.emf.ecore.EClass getParameterName()

      Returns the meta object for class '`Parameter Name`'.
      Returns:
        the meta object for class 'Parameter Name'.
      See Also:
        `ParameterName`

    - #### getFixedParameterName

          org.eclipse.emf.ecore.EClass getFixedParameterName()

      Returns the meta object for class '`Fixed Parameter Name`'.
      Returns:
        the meta object for class 'Fixed Parameter Name'.
      See Also:
        `FixedParameterName`

    - #### getFixedParameterName_Annotation

          org.eclipse.emf.ecore.EReference getFixedParameterName_Annotation()

      Returns the meta object for the reference '`Annotation`'.
      Returns:
        the meta object for the reference 'Annotation'.
      See Also:
        `FixedParameterName.getAnnotation()`, `getFixedParameterName()`

    - #### getArbitraryParameterOrResultName

          org.eclipse.emf.ecore.EClass getArbitraryParameterOrResultName()

      Returns the meta object for class '`Arbitrary Parameter Or Result Name`'.
      Returns:
        the meta object for class 'Arbitrary Parameter Or Result Name'.
      See Also:
        `ArbitraryParameterOrResultName`

    - #### getArbitraryParameterOrResultName_Identifier

          org.eclipse.emf.ecore.EAttribute getArbitraryParameterOrResultName_Identifier()

      Returns the meta object for the attribute '`Identifier`'.
      Returns:
        the meta object for the attribute 'Identifier'.
      See Also:
        `ArbitraryParameterOrResultName.getIdentifier()`, `getArbitraryParameterOrResultName()`

    - #### getArbitraryParameterOrResultName_StringIdentifier

          org.eclipse.emf.ecore.EAttribute getArbitraryParameterOrResultName_StringIdentifier()

      Returns the meta object for the attribute '`String Identifier`'.
      Returns:
        the meta object for the attribute 'String Identifier'.
      See Also:
        `ArbitraryParameterOrResultName.getStringIdentifier()`, `getArbitraryParameterOrResultName()`

    - #### getOperation

          org.eclipse.emf.ecore.EClass getOperation()

      Returns the meta object for class '`Operation`'.
      Returns:
        the meta object for class 'Operation'.
      See Also:
        `Operation`

    - #### getStandardOperation

          org.eclipse.emf.ecore.EClass getStandardOperation()

      Returns the meta object for class '`Standard Operation`'.
      Returns:
        the meta object for class 'Standard Operation'.
      See Also:
        `StandardOperation`

    - #### getStandardOperation_FirstOperand

          org.eclipse.emf.ecore.EReference getStandardOperation_FirstOperand()

      Returns the meta object for the containment reference '`First Operand`'.
      Returns:
        the meta object for the containment reference 'First Operand'.
      See Also:
        `StandardOperation.getFirstOperand()`, `getStandardOperation()`

    - #### getStandardOperation_Operators

          org.eclipse.emf.ecore.EAttribute getStandardOperation_Operators()

      Returns the meta object for the attribute list '`Operators`'.
      Returns:
        the meta object for the attribute list 'Operators'.
      See Also:
        `StandardOperation.getOperators()`, `getStandardOperation()`

    - #### getStandardOperation_MoreOperands

          org.eclipse.emf.ecore.EReference getStandardOperation_MoreOperands()

      Returns the meta object for the containment reference list '`More Operands`'.
      Returns:
        the meta object for the containment reference list 'More Operands'.
      See Also:
        `StandardOperation.getMoreOperands()`, `getStandardOperation()`

    - #### getCustomOperation

          org.eclipse.emf.ecore.EClass getCustomOperation()

      Returns the meta object for class '`Custom Operation`'.
      Returns:
        the meta object for class 'Custom Operation'.
      See Also:
        `CustomOperation`

    - #### getCustomOperation_PrefixOperand

          org.eclipse.emf.ecore.EReference getCustomOperation_PrefixOperand()

      Returns the meta object for the containment reference '`Prefix Operand`'.
      Returns:
        the meta object for the containment reference 'Prefix Operand'.
      See Also:
        `CustomOperation.getPrefixOperand()`, `getCustomOperation()`

    - #### getCustomOperation_Definition

          org.eclipse.emf.ecore.EReference getCustomOperation_Definition()

      Returns the meta object for the reference '`Definition`'.
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `CustomOperation.getDefinition()`, `getCustomOperation()`

    - #### getCustomOperation_PostfixOperand

          org.eclipse.emf.ecore.EReference getCustomOperation_PostfixOperand()

      Returns the meta object for the containment reference '`Postfix Operand`'.
      Returns:
        the meta object for the containment reference 'Postfix Operand'.
      See Also:
        `CustomOperation.getPostfixOperand()`, `getCustomOperation()`

    - #### getValueOrEnumValueOrOperationCollection

          org.eclipse.emf.ecore.EClass getValueOrEnumValueOrOperationCollection()

      Returns the meta object for class '`Value Or Enum Value Or Operation Collection`'.
      Returns:
        the meta object for class 'Value Or Enum Value Or Operation Collection'.
      See Also:
        `ValueOrEnumValueOrOperationCollection`

    - #### getValueOrEnumValueOrOperationCollection_Value

          org.eclipse.emf.ecore.EReference getValueOrEnumValueOrOperationCollection_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ValueOrEnumValueOrOperationCollection.getValue()`, `getValueOrEnumValueOrOperationCollection()`

    - #### getValueOrEnumValueOrOperationCollection_MoreValues

          org.eclipse.emf.ecore.EReference getValueOrEnumValueOrOperationCollection_MoreValues()

      Returns the meta object for the containment reference list '`More Values`'.
      Returns:
        the meta object for the containment reference list 'More Values'.
      See Also:
        `ValueOrEnumValueOrOperationCollection.getMoreValues()`, `getValueOrEnumValueOrOperationCollection()`

    - #### getValueOrEnumValueOrOperation

          org.eclipse.emf.ecore.EClass getValueOrEnumValueOrOperation()

      Returns the meta object for class '`Value Or Enum Value Or Operation`'.
      Returns:
        the meta object for class 'Value Or Enum Value Or Operation'.
      See Also:
        `ValueOrEnumValueOrOperation`

    - #### getValue

          org.eclipse.emf.ecore.EClass getValue()

      Returns the meta object for class '`Value`'.
      Returns:
        the meta object for class 'Value'.
      See Also:
        `Value`

    - #### getConstantValue

          org.eclipse.emf.ecore.EClass getConstantValue()

      Returns the meta object for class '`Constant Value`'.
      Returns:
        the meta object for class 'Constant Value'.
      See Also:
        `ConstantValue`

    - #### getStaticValue

          org.eclipse.emf.ecore.EClass getStaticValue()

      Returns the meta object for class '`Static Value`'.
      Returns:
        the meta object for class 'Static Value'.
      See Also:
        `StaticValue`

    - #### getIntegerValue

          org.eclipse.emf.ecore.EClass getIntegerValue()

      Returns the meta object for class '`Integer Value`'.
      Returns:
        the meta object for class 'Integer Value'.
      See Also:
        `IntegerValue`

    - #### getIntegerValue_IntegerValue

          org.eclipse.emf.ecore.EAttribute getIntegerValue_IntegerValue()

      Returns the meta object for the attribute '`Integer Value`'.
      Returns:
        the meta object for the attribute 'Integer Value'.
      See Also:
        `IntegerValue.getIntegerValue()`, `getIntegerValue()`

    - #### getDecimalValue

          org.eclipse.emf.ecore.EClass getDecimalValue()

      Returns the meta object for class '`Decimal Value`'.
      Returns:
        the meta object for class 'Decimal Value'.
      See Also:
        `DecimalValue`

    - #### getDecimalValue_DecimalValue

          org.eclipse.emf.ecore.EAttribute getDecimalValue_DecimalValue()

      Returns the meta object for the attribute '`Decimal Value`'.
      Returns:
        the meta object for the attribute 'Decimal Value'.
      See Also:
        `DecimalValue.getDecimalValue()`, `getDecimalValue()`

    - #### getStringValue

          org.eclipse.emf.ecore.EClass getStringValue()

      Returns the meta object for class '`String Value`'.
      Returns:
        the meta object for class 'String Value'.
      See Also:
        `StringValue`

    - #### getStringValue_StringValue

          org.eclipse.emf.ecore.EAttribute getStringValue_StringValue()

      Returns the meta object for the attribute '`String Value`'.
      Returns:
        the meta object for the attribute 'String Value'.
      See Also:
        `StringValue.getStringValue()`, `getStringValue()`

    - #### getRegexValue

          org.eclipse.emf.ecore.EClass getRegexValue()

      Returns the meta object for class '`Regex Value`'.
      Returns:
        the meta object for class 'Regex Value'.
      See Also:
        `RegexValue`

    - #### getRegexValue_RegexValue

          org.eclipse.emf.ecore.EAttribute getRegexValue_RegexValue()

      Returns the meta object for the attribute '`Regex Value`'.
      Returns:
        the meta object for the attribute 'Regex Value'.
      See Also:
        `RegexValue.getRegexValue()`, `getRegexValue()`

    - #### getBooleanValue

          org.eclipse.emf.ecore.EClass getBooleanValue()

      Returns the meta object for class '`Boolean Value`'.
      Returns:
        the meta object for class 'Boolean Value'.
      See Also:
        `BooleanValue`

    - #### getBooleanValue_BooleanValue

          org.eclipse.emf.ecore.EAttribute getBooleanValue_BooleanValue()

      Returns the meta object for the attribute '`Boolean Value`'.
      Returns:
        the meta object for the attribute 'Boolean Value'.
      See Also:
        `BooleanValue.getBooleanValue()`, `getBooleanValue()`

    - #### getDateValue

          org.eclipse.emf.ecore.EClass getDateValue()

      Returns the meta object for class '`Date Value`'.
      Returns:
        the meta object for class 'Date Value'.
      See Also:
        `DateValue`

    - #### getDateValue_DateValue

          org.eclipse.emf.ecore.EAttribute getDateValue_DateValue()

      Returns the meta object for the attribute '`Date Value`'.
      Returns:
        the meta object for the attribute 'Date Value'.
      See Also:
        `DateValue.getDateValue()`, `getDateValue()`

    - #### getIsoDateValue

          org.eclipse.emf.ecore.EClass getIsoDateValue()

      Returns the meta object for class '`Iso Date Value`'.
      Returns:
        the meta object for class 'Iso Date Value'.
      See Also:
        `IsoDateValue`

    - #### getEuropeanDateValue

          org.eclipse.emf.ecore.EClass getEuropeanDateValue()

      Returns the meta object for class '`European Date Value`'.
      Returns:
        the meta object for class 'European Date Value'.
      See Also:
        `EuropeanDateValue`

    - #### getUSDateValue

          org.eclipse.emf.ecore.EClass getUSDateValue()

      Returns the meta object for class '`US Date Value`'.
      Returns:
        the meta object for class 'US Date Value'.
      See Also:
        `USDateValue`

    - #### getTimeValue

          org.eclipse.emf.ecore.EClass getTimeValue()

      Returns the meta object for class '`Time Value`'.
      Returns:
        the meta object for class 'Time Value'.
      See Also:
        `TimeValue`

    - #### getTimeValue_TimeValue

          org.eclipse.emf.ecore.EAttribute getTimeValue_TimeValue()

      Returns the meta object for the attribute '`Time Value`'.
      Returns:
        the meta object for the attribute 'Time Value'.
      See Also:
        `TimeValue.getTimeValue()`, `getTimeValue()`

    - #### getIsoTimeValue

          org.eclipse.emf.ecore.EClass getIsoTimeValue()

      Returns the meta object for class '`Iso Time Value`'.
      Returns:
        the meta object for class 'Iso Time Value'.
      See Also:
        `IsoTimeValue`

    - #### getSimple24HrsTimeValue

          org.eclipse.emf.ecore.EClass getSimple24HrsTimeValue()

      Returns the meta object for class '`Simple24 Hrs Time Value`'.
      Returns:
        the meta object for class 'Simple24 Hrs Time Value'.
      See Also:
        `Simple24HrsTimeValue`

    - #### getSimple12HrsTimeValue

          org.eclipse.emf.ecore.EClass getSimple12HrsTimeValue()

      Returns the meta object for class '`Simple12 Hrs Time Value`'.
      Returns:
        the meta object for class 'Simple12 Hrs Time Value'.
      See Also:
        `Simple12HrsTimeValue`

    - #### getDateAndTimeValue

          org.eclipse.emf.ecore.EClass getDateAndTimeValue()

      Returns the meta object for class '`Date And Time Value`'.
      Returns:
        the meta object for class 'Date And Time Value'.
      See Also:
        `DateAndTimeValue`

    - #### getDateAndTimeValue_DateValue

          org.eclipse.emf.ecore.EAttribute getDateAndTimeValue_DateValue()

      Returns the meta object for the attribute '`Date Value`'.
      Returns:
        the meta object for the attribute 'Date Value'.
      See Also:
        `DateAndTimeValue.getDateValue()`, `getDateAndTimeValue()`

    - #### getDateAndTimeValue_TimeValue

          org.eclipse.emf.ecore.EAttribute getDateAndTimeValue_TimeValue()

      Returns the meta object for the attribute '`Time Value`'.
      Returns:
        the meta object for the attribute 'Time Value'.
      See Also:
        `DateAndTimeValue.getTimeValue()`, `getDateAndTimeValue()`

    - #### getIsoDateAndTimeValue

          org.eclipse.emf.ecore.EClass getIsoDateAndTimeValue()

      Returns the meta object for class '`Iso Date And Time Value`'.
      Returns:
        the meta object for class 'Iso Date And Time Value'.
      See Also:
        `IsoDateAndTimeValue`

    - #### getEuropeanDateAnd24HrsTimeValue

          org.eclipse.emf.ecore.EClass getEuropeanDateAnd24HrsTimeValue()

      Returns the meta object for class '`European Date And24 Hrs Time Value`'.
      Returns:
        the meta object for class 'European Date And24 Hrs Time Value'.
      See Also:
        `EuropeanDateAnd24HrsTimeValue`

    - #### getEuropeanDateAnd12HrsTimeValue

          org.eclipse.emf.ecore.EClass getEuropeanDateAnd12HrsTimeValue()

      Returns the meta object for class '`European Date And12 Hrs Time Value`'.
      Returns:
        the meta object for class 'European Date And12 Hrs Time Value'.
      See Also:
        `EuropeanDateAnd12HrsTimeValue`

    - #### getUSDateAnd12HrsTimeValue

          org.eclipse.emf.ecore.EClass getUSDateAnd12HrsTimeValue()

      Returns the meta object for class '`US Date And12 Hrs Time Value`'.
      Returns:
        the meta object for class 'US Date And12 Hrs Time Value'.
      See Also:
        `USDateAnd12HrsTimeValue`

    - #### getJavaConstantValue

          org.eclipse.emf.ecore.EClass getJavaConstantValue()

      Returns the meta object for class '`Java Constant Value`'.
      Returns:
        the meta object for class 'Java Constant Value'.
      See Also:
        `JavaConstantValue`

    - #### getJavaConstantValue_Constant

          org.eclipse.emf.ecore.EReference getJavaConstantValue_Constant()

      Returns the meta object for the containment reference '`Constant`'.
      Returns:
        the meta object for the containment reference 'Constant'.
      See Also:
        `JavaConstantValue.getConstant()`, `getJavaConstantValue()`

    - #### getVariable

          org.eclipse.emf.ecore.EClass getVariable()

      Returns the meta object for class '`Variable`'.
      Returns:
        the meta object for class 'Variable'.
      See Also:
        `Variable`

    - #### getVariable_Name

          org.eclipse.emf.ecore.EReference getVariable_Name()

      Returns the meta object for the reference '`Name`'.
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `Variable.getName()`, `getVariable()`

    - #### getVariable_Attribute

          org.eclipse.emf.ecore.EAttribute getVariable_Attribute()

      Returns the meta object for the attribute '`Attribute`'.
      Returns:
        the meta object for the attribute 'Attribute'.
      See Also:
        `Variable.getAttribute()`, `getVariable()`

    - #### getVariableVariable

          org.eclipse.emf.ecore.EClass getVariableVariable()

      Returns the meta object for class '`Variable Variable`'.
      Returns:
        the meta object for class 'Variable Variable'.
      See Also:
        `VariableVariable`

    - #### getVariableVariable_Name

          org.eclipse.emf.ecore.EReference getVariableVariable_Name()

      Returns the meta object for the reference '`Name`'.
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `VariableVariable.getName()`, `getVariableVariable()`

    - #### getConstant

          org.eclipse.emf.ecore.EClass getConstant()

      Returns the meta object for class '`Constant`'.
      Returns:
        the meta object for class 'Constant'.
      See Also:
        `Constant`

    - #### getConstant_Name

          org.eclipse.emf.ecore.EReference getConstant_Name()

      Returns the meta object for the reference '`Name`'.
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `Constant.getName()`, `getConstant()`

    - #### getNullValue

          org.eclipse.emf.ecore.EClass getNullValue()

      Returns the meta object for class '`Null Value`'.
      Returns:
        the meta object for class 'Null Value'.
      See Also:
        `NullValue`

    - #### getInexistentValue

          org.eclipse.emf.ecore.EClass getInexistentValue()

      Returns the meta object for class '`Inexistent Value`'.
      Returns:
        the meta object for class 'Inexistent Value'.
      See Also:
        `InexistentValue`

    - #### getEmptyValue

          org.eclipse.emf.ecore.EClass getEmptyValue()

      Returns the meta object for class '`Empty Value`'.
      Returns:
        the meta object for class 'Empty Value'.
      See Also:
        `EmptyValue`

    - #### getEnumValue

          org.eclipse.emf.ecore.EClass getEnumValue()

      Returns the meta object for class '`Enum Value`'.
      Returns:
        the meta object for class 'Enum Value'.
      See Also:
        `EnumValue`

    - #### getEnumValue_EnumValue

          org.eclipse.emf.ecore.EReference getEnumValue_EnumValue()

      Returns the meta object for the reference '`Enum Value`'.
      Returns:
        the meta object for the reference 'Enum Value'.
      See Also:
        `EnumValue.getEnumValue()`, `getEnumValue()`

    - #### getNestedObject

          org.eclipse.emf.ecore.EClass getNestedObject()

      Returns the meta object for class '`Nested Object`'.
      Returns:
        the meta object for class 'Nested Object'.
      See Also:
        `NestedObject`

    - #### getNestedObject_Attributes

          org.eclipse.emf.ecore.EReference getNestedObject_Attributes()

      Returns the meta object for the containment reference list '`Attributes`'.
      Returns:
        the meta object for the containment reference list 'Attributes'.
      See Also:
        `NestedObject.getAttributes()`, `getNestedObject()`

    - #### getTypedNestedObject

          org.eclipse.emf.ecore.EClass getTypedNestedObject()

      Returns the meta object for class '`Typed Nested Object`'.
      Returns:
        the meta object for class 'Typed Nested Object'.
      See Also:
        `TypedNestedObject`

    - #### getTypedNestedObject_Type

          org.eclipse.emf.ecore.EReference getTypedNestedObject_Type()

      Returns the meta object for the containment reference '`Type`'.
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `TypedNestedObject.getType()`, `getTypedNestedObject()`

    - #### getTypedNestedObject_NestedObject

          org.eclipse.emf.ecore.EReference getTypedNestedObject_NestedObject()

      Returns the meta object for the containment reference '`Nested Object`'.
      Returns:
        the meta object for the containment reference 'Nested Object'.
      See Also:
        `TypedNestedObject.getNestedObject()`, `getTypedNestedObject()`

    - #### getKeyValuePair

          org.eclipse.emf.ecore.EClass getKeyValuePair()

      Returns the meta object for class '`Key Value Pair`'.
      Returns:
        the meta object for class 'Key Value Pair'.
      See Also:
        `KeyValuePair`

    - #### getKeyValuePair_Identifier

          org.eclipse.emf.ecore.EAttribute getKeyValuePair_Identifier()

      Returns the meta object for the attribute '`Identifier`'.
      Returns:
        the meta object for the attribute 'Identifier'.
      See Also:
        `KeyValuePair.getIdentifier()`, `getKeyValuePair()`

    - #### getKeyValuePair_StringIdentifier

          org.eclipse.emf.ecore.EAttribute getKeyValuePair_StringIdentifier()

      Returns the meta object for the attribute '`String Identifier`'.
      Returns:
        the meta object for the attribute 'String Identifier'.
      See Also:
        `KeyValuePair.getStringIdentifier()`, `getKeyValuePair()`

    - #### getKeyValuePair_Value

          org.eclipse.emf.ecore.EReference getKeyValuePair_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `KeyValuePair.getValue()`, `getKeyValuePair()`

    - #### getJavaClassReference

          org.eclipse.emf.ecore.EClass getJavaClassReference()

      Returns the meta object for class '`Java Class Reference`'.
      Returns:
        the meta object for class 'Java Class Reference'.
      See Also:
        `JavaClassReference`

    - #### getJavaClassReference_Type

          org.eclipse.emf.ecore.EReference getJavaClassReference_Type()

      Returns the meta object for the reference '`Type`'.
      Returns:
        the meta object for the reference 'Type'.
      See Also:
        `JavaClassReference.getType()`, `getJavaClassReference()`

    - #### getMethodReference

          org.eclipse.emf.ecore.EClass getMethodReference()

      Returns the meta object for class '`Method Reference`'.
      Returns:
        the meta object for class 'Method Reference'.
      See Also:
        `MethodReference`

    - #### getMethodReference_Type

          org.eclipse.emf.ecore.EReference getMethodReference_Type()

      Returns the meta object for the reference '`Type`'.
      Returns:
        the meta object for the reference 'Type'.
      See Also:
        `MethodReference.getType()`, `getMethodReference()`

    - #### getMethodReference_Method

          org.eclipse.emf.ecore.EReference getMethodReference_Method()

      Returns the meta object for the reference '`Method`'.
      Returns:
        the meta object for the reference 'Method'.
      See Also:
        `MethodReference.getMethod()`, `getMethodReference()`

    - #### getJavaConstantReference

          org.eclipse.emf.ecore.EClass getJavaConstantReference()

      Returns the meta object for class '`Java Constant Reference`'.
      Returns:
        the meta object for class 'Java Constant Reference'.
      See Also:
        `JavaConstantReference`

    - #### getJavaConstantReference_Type

          org.eclipse.emf.ecore.EReference getJavaConstantReference_Type()

      Returns the meta object for the reference '`Type`'.
      Returns:
        the meta object for the reference 'Type'.
      See Also:
        `JavaConstantReference.getType()`, `getJavaConstantReference()`

    - #### getJavaConstantReference_Constant

          org.eclipse.emf.ecore.EReference getJavaConstantReference_Constant()

      Returns the meta object for the reference '`Constant`'.
      Returns:
        the meta object for the reference 'Constant'.
      See Also:
        `JavaConstantReference.getConstant()`, `getJavaConstantReference()`

    - #### getExecutionMultiplier

          org.eclipse.emf.ecore.EClass getExecutionMultiplier()

      Returns the meta object for class '`Execution Multiplier`'.
      Returns:
        the meta object for class 'Execution Multiplier'.
      See Also:
        `ExecutionMultiplier`

    - #### getExecutionMultiplier_Count

          org.eclipse.emf.ecore.EReference getExecutionMultiplier_Count()

      Returns the meta object for the containment reference '`Count`'.
      Returns:
        the meta object for the containment reference 'Count'.
      See Also:
        `ExecutionMultiplier.getCount()`, `getExecutionMultiplier()`

    - #### getDocumentationComment

          org.eclipse.emf.ecore.EClass getDocumentationComment()

      Returns the meta object for class '`Documentation Comment`'.
      Returns:
        the meta object for class 'Documentation Comment'.
      See Also:
        `DocumentationComment`

    - #### getDocumentationComment_Content

          org.eclipse.emf.ecore.EAttribute getDocumentationComment_Content()

      Returns the meta object for the attribute '`Content`'.
      Returns:
        the meta object for the attribute 'Content'.
      See Also:
        `DocumentationComment.getContent()`, `getDocumentationComment()`

    - #### getNull

          org.eclipse.emf.ecore.EClass getNull()

      Returns the meta object for class '`Null`'.
      Returns:
        the meta object for class 'Null'.
      See Also:
        `Null`

    - #### getInexistent

          org.eclipse.emf.ecore.EClass getInexistent()

      Returns the meta object for class '`Inexistent`'.
      Returns:
        the meta object for class 'Inexistent'.
      See Also:
        `Inexistent`

    - #### getEmpty

          org.eclipse.emf.ecore.EClass getEmpty()

      Returns the meta object for class '`Empty`'.
      Returns:
        the meta object for class 'Empty'.
      See Also:
        `Empty`

    - #### getDslFactory

          DslFactory getDslFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.